<?php
/**
 * Created by Sublime Text 2.
 * User: thanhhiep992
 * Date: 13/08/15
 * Time: 10:20 AM
 */
global $config;
$config['theme-option'] = array(
    'sections' => array(
        array(
            'id' => 'option_general',
            'title' => '<i class="fa fa-cog"></i>'.esc_html__(' General Settings', 'bigc')
        ),
        array(
            'id' => 'option_logo',
            'title' => '<i class="fa fa-image"></i>'.esc_html__(' Logo Settings', 'bigc')
        ),
        array(
            'id' => 'option_menu',
            'title' => '<i class="fa fa-align-justify"></i>'.esc_html__(' Menu Settings', 'bigc')
        ),
        array(
            'id' => 'option_header_append',
            'title' => '<i class="fa fa-align-justify"></i>'.esc_html__(' Header Append', 'bigc')
        ),
        array(
            'id' => 'option_layout',
            'title' => '<i class="fa fa-columns"></i>'.esc_html__(' Layout Settings', 'bigc')
        ),
        array(
            'id' => 'option_typography',
            'title' => '<i class="fa fa-font"></i>'.esc_html__(' Typography', 'bigc')
        )
    ),
    'settings' => array(
         /*----------------Begin General --------------------*/
        array(
            'id'          => 'sv_header_page',
            'label'       => esc_html__( 'Header Page', 'bigc' ),
            'desc'        => esc_html__( 'Include page to Header', 'bigc' ),
            'type'        => 'select',
            'section'     => 'option_general',
            'choices'     => sv_list_header_page()
        ),
        array(
            'id'          => 'sv_footer_page',
            'label'       => esc_html__( 'Footer Page', 'bigc' ),
            'desc'        => esc_html__( 'Include page to Footer', 'bigc' ),
            'type'        => 'page-select',
            'section'     => 'option_general'
        ),
        array(
            'id'          => 'sv_404_page',
            'label'       => esc_html__( '404 Page', 'bigc' ),
            'desc'        => esc_html__( 'Include page to 404 page', 'bigc' ),
            'type'        => 'page-select',
            'section'     => 'option_general'
        ),
        array(
            'id' => 'sv_show_breadrumb',
            'label' => esc_html__('Show BreadCrumb', 'bigc'),
            'desc' => esc_html__('This allow you to show or hide BreadCrumb', 'bigc'),
            'type' => 'on-off',
            'section' => 'option_general',
            'std' => 'on'
        ),
        array(
            'id'          => 'sv_bg_breadcrumb',
            'label'       => esc_html__('Background Breadcrumb','bigc'),
            'type'        => 'background',
            'section'     => 'option_general',
            'condition'   => 'sv_show_breadrumb:is(on)',
        ),
        // array(
        //     'id'          => 'main_color',
        //     'label'       => esc_html__('Main color','bigc'),
        //     'type'        => 'colorpicker',
        //     'section'     => 'option_general',
        // ),
        array(
            'id'          => 'custom_css',
            'label'       => esc_html__('Custom CSS','bigc'),
            'type'        => 'textarea-simple',
            'section'     => 'option_general',
        ),
        /*----------------End General ----------------------*/

        /*----------------Begin Logo --------------------*/
        array(
            'id' => 'logo',
            'label' => esc_html__('Logo', 'bigc'),
            'desc' => esc_html__('This allow you to change logo', 'bigc'),
            'type' => 'upload',
            'section' => 'option_logo',
        ),        
        array(
            'id' => 'favicon',
            'label' => esc_html__('Favicon', 'bigc'),
            'desc' => esc_html__('This allow you to change favicon of your website', 'bigc'),
            'type' => 'upload',
            'section' => 'option_logo'
        ),
        /*----------------End Logo ----------------------*/

        /*----------------Begin Menu --------------------*/
        array(
            'id'          => 'sv_menu_fixed',
            'label'       => esc_html__('Menu Fixed','bigc'),
            'desc'        => 'Menu change to fixed when scroll',
            'type'        => 'on-off',
            'section'     => 'option_menu',
            'std'         => 'on',
        ),
        array(
            'id'          => 'sv_menu_color',
            'label'       => esc_html__('Menu style','bigc'),
            'type'        => 'typography',
            'section'     => 'option_menu',
        ),
        array(
            'id'          => 'sv_menu_color_hover',
            'label'       => esc_html__('Hover color','bigc'),
            'desc'        => esc_html__('Choose color','bigc'),
            'type'        => 'colorpicker',
            'section'     => 'option_menu',
        ),
        array(
            'id'          => 'sv_menu_color_active',
            'label'       => esc_html__('Active color','bigc'),
            'desc'        => esc_html__('Choose color','bigc'),
            'type'        => 'colorpicker',
            'section'     => 'option_menu',
        ),
        /*----------------End Menu ----------------------*/

        /*----------------Begin Header Append --------------------*/
        array(
            'id' => 'sv_show_header_append',
            'label' => esc_html__('Show Header Append', 'bigc'),
            'desc' => esc_html__('This allow you to show or hide Header Append', 'bigc'),
            'type' => 'on-off',
            'section' => 'option_header_append',
            'std' => 'on'
        ),
        array(
            'id'          => 'sv_custom_header_append',
            'label'       => esc_html__( 'Custom Header Append', 'bigc' ),
            'type'        => 'list-item',
            'section'     => 'option_header_append',
            'settings'    => array( 
                array(
                    'id' => 'image',
                    'label' => esc_html__('image', 'bigc'),
                    'desc' => esc_html__('This allow you to change image', 'bigc'),
                    'type' => 'upload',
                ),
                array(
                    'id' => 'link',
                    'label' => esc_html__('Link image', 'bigc'),
                    'type' => 'text',
                ),
            ),
        ),
        array(
            'id' => 'sv_show_header_item',
            'label' => esc_html__('Header Append item', 'bigc'),
            'desc' => esc_html__('This allow you to set item/slider in Header Append', 'bigc'),
            'type' => 'text',
            'section' => 'option_header_append',
            'std' => '4'
        ),
        /*----------------End Header Append ----------------------*/

        /*----------------Begin Layout --------------------*/
        array(
            'id'          => 'sv_sidebar_position_blog',
            'label'       => esc_html__('Sidebar Blog','bigc'),
            'type'        => 'select',
            'section'     => 'option_layout',
            'desc'=>esc_html__('Left, or Right, or Center','bigc'),
            'choices'     => array(
                array(
                    'value'=>'no',
                    'label'=>esc_html__('No Sidebar','bigc'),
                ),
                array(
                    'value'=>'left',
                    'label'=>esc_html__('Left','bigc'),
                ),
                array(
                    'value'=>'right',
                    'label'=>esc_html__('Right','bigc'),
                )
            )
        ),
        array(
            'id'          => 'sv_sidebar_blog',
            'label'       => esc_html__('Sidebar select display in blog','bigc'),
            'type'        => 'sidebar-select',
            'section'     => 'option_layout',
            'condition'   => 'sv_sidebar_position_blog:not(no)',
        ),
        /****end blog****/
        array(
            'id'          => 'sv_sidebar_position_page',
            'label'       => esc_html__('Sidebar Page','bigc'),
            'type'        => 'select',
            'section'     => 'option_layout',
            'desc'=>esc_html__('Left, or Right, or Center','bigc'),
            'choices'     => array(
                array(
                    'value'=>'no',
                    'label'=>esc_html__('No Sidebar','bigc'),
                ),
                array(
                    'value'=>'left',
                    'label'=>esc_html__('Left','bigc'),
                ),
                array(
                    'value'=>'right',
                    'label'=>esc_html__('Right','bigc'),
                )
            )
        ),
        array(
            'id'          => 'sv_sidebar_page',
            'label'       => esc_html__('Sidebar select display in page','bigc'),
            'type'        => 'sidebar-select',
            'section'     => 'option_layout',
            'condition'   => 'sv_sidebar_position_page:not(no)',
        ),
        /****end page****/
        array(
            'id'          => 'sv_sidebar_position_page_archive',
            'label'       => esc_html__('Sidebar Position on Page Archives:','bigc'),
            'type'        => 'select',
            'section'     => 'option_layout',
            'desc'=>esc_html__('Left, or Right, or Center','bigc'),
            'choices'     => array(
                array(
                    'value'=>'no',
                    'label'=>esc_html__('No Sidebar','bigc'),
                ),
                array(
                    'value'=>'left',
                    'label'=>esc_html__('Left','bigc'),
                ),
                array(
                    'value'=>'right',
                    'label'=>esc_html__('Right','bigc'),
                )
            )
        ),
        array(
            'id'          => 'sv_sidebar_page_archive',
            'label'       => esc_html__('Sidebar select display in page Archives','bigc'),
            'type'        => 'sidebar-select',
            'section'     => 'option_layout',
            'condition'   => 'sv_sidebar_position_page_archive:not(no)',
        ),
        // END
        array(
            'id'          => 'sv_sidebar_position_post',
            'label'       => esc_html__('Sidebar Single Post','bigc'),
            'type'        => 'select',
            'section'     => 'option_layout',
            'desc'=>esc_html__('Left, or Right, or Center','bigc'),
            'choices'     => array(
                array(
                    'value'=>'no',
                    'label'=>esc_html__('No Sidebar','bigc'),
                ),
                array(
                    'value'=>'left',
                    'label'=>esc_html__('Left','bigc'),
                ),
                array(
                    'value'=>'right',
                    'label'=>esc_html__('Right','bigc'),
                )
            )
        ),
        array(
            'id'          => 'sv_sidebar_post',
            'label'       => esc_html__('Sidebar select display in single post','bigc'),
            'type'        => 'sidebar-select',
            'section'     => 'option_layout',
            'condition'   => 'sv_sidebar_position_post:not(no)',
        ),
        array(
            'id'          => 'sv_add_sidebar',
            'label'       => esc_html__('Add SideBar','bigc'),
            'type'        => 'list-item',
            'section'     => 'option_layout',
            'std'         => '',
            'settings'    => array( 
                array(
                    'id'          => 'widget_title_heading',
                    'label'       => esc_html__('Choose heading title widget','bigc'),
                    'type'        => 'select',
                    'std'        => 'h3',
                    'choices'     => array(
                        array(
                            'value'=>'h1',
                            'label'=>esc_html__('H1','bigc'),
                        ),
                        array(
                            'value'=>'h2',
                            'label'=>esc_html__('H2','bigc'),
                        ),
                        array(
                            'value'=>'h3',
                            'label'=>esc_html__('H3','bigc'),
                        ),
                        array(
                            'value'=>'h4',
                            'label'=>esc_html__('H4','bigc'),
                        ),
                        array(
                            'value'=>'h5',
                            'label'=>esc_html__('H5','bigc'),
                        ),
                        array(
                            'value'=>'h6',
                            'label'=>esc_html__('H6','bigc'),
                        ),
                    )
                ),
            ),
        ),
        /*----------------End Layout ----------------------*/

        /*----------------Begin Blog ----------------------*/       
        

        /*----------------End BLOG----------------------*/

        /*----------------Begin Typography ----------------------*/
        array(
            'id'          => 'sv_custom_typography',
            'label'       => esc_html__('Add Settings','bigc'),
            'type'        => 'list-item',
            'section'     => 'option_typography',
            'std'         => '',
            'settings'    => array(
                array(
                    'id'          => 'typo_area',
                    'label'       => esc_html__('Choose Area to style','bigc'),
                    'type'        => 'select',
                    'std'        => 'main',
                    'choices'     => array(
                        array(
                            'value'=>'header',
                            'label'=>esc_html__('Header','bigc'),
                        ),
                        array(
                            'value'=>'main',
                            'label'=>esc_html__('Main Content','bigc'),
                        ),
                        array(
                            'value'=>'widget',
                            'label'=>esc_html__('Widget','bigc'),
                        ),
                        array(
                            'value'=>'footer',
                            'label'=>esc_html__('Footer','bigc'),
                        ),
                    )
                ),
                array(
                    'id'          => 'typo_heading',
                    'label'       => esc_html__('Choose heading Area','bigc'),
                    'type'        => 'select',
                    'std'        => 'h3',
                    'choices'     => array(
                        array(
                            'value'=>'h1',
                            'label'=>esc_html__('H1','bigc'),
                        ),
                        array(
                            'value'=>'h2',
                            'label'=>esc_html__('H2','bigc'),
                        ),
                        array(
                            'value'=>'h3',
                            'label'=>esc_html__('H3','bigc'),
                        ),
                        array(
                            'value'=>'h4',
                            'label'=>esc_html__('H4','bigc'),
                        ),
                        array(
                            'value'=>'h5',
                            'label'=>esc_html__('H5','bigc'),
                        ),
                        array(
                            'value'=>'h6',
                            'label'=>esc_html__('H6','bigc'),
                        ),
                        array(
                            'value'=>'a',
                            'label'=>esc_html__('a','bigc'),
                        ),
                        array(
                            'value'=>'p',
                            'label'=>esc_html__('p','bigc'),
                        ),
                    )
                ),
                array(
                    'id'          => 'typography_style',
                    'label'       => esc_html__('Add Style','bigc'),
                    'type'        => 'typography',
                    'section'     => 'option_typography',
                ),
            ),
        ),        
        array(
            'id'          => 'google_fonts',
            'label'       => esc_html__('Add Google Fonts','bigc'),
            'type'        => 'google-fonts',
            'section'     => 'option_typography',
        ),
        /*----------------End Typography ----------------------*/
    )
);
if(class_exists( 'WooCommerce' )){
    array_push($config['theme-option']['sections'], array(
                                                'id' => 'option_woo',
                                                'title' => '<i class="fa fa-shopping-cart"></i>'.esc_html__(' Shop Settings', 'bigc')
                                            ));
    array_push($config['theme-option']['settings'],array(
                                                'id'          => 'sv_sidebar_position_woo',
                                                'label'       => esc_html__('Sidebar Position WooCommerce page','bigc'),
                                                'type'        => 'select',
                                                'section'     => 'option_woo',
                                                'desc'=>esc_html__('Left, or Right, or Center','bigc'),
                                                'choices'     => array(
                                                    array(
                                                        'value'=>'no',
                                                        'label'=>esc_html__('No Sidebar','bigc'),
                                                    ),
                                                    array(
                                                        'value'=>'left',
                                                        'label'=>esc_html__('Left','bigc'),
                                                    ),
                                                    array(
                                                        'value'=>'right',
                                                        'label'=>esc_html__('Right','bigc'),
                                                    )
                                                )
                                            ));
    array_push($config['theme-option']['settings'],array(
                                                'id'          => 'sv_sidebar_woo',
                                                'label'       => esc_html__('Sidebar select WooCommerce page','bigc'),
                                                'type'        => 'sidebar-select',
                                                'section'     => 'option_woo',
                                                'condition'   => 'sv_sidebar_position_woo:not(no)',
                                                'desc'        => esc_html__('Choose one style of sidebar for WooCommerce page','bigc'),

                                            ));
    array_push($config['theme-option']['settings'],array(
                                                'id'          => 'sv_set_time_woo',
                                                'label'       => esc_html__('Product new in(days)','bigc'),
                                                'type'        => 'text',
                                                'section'     => 'option_woo',
                                                'desc'        => esc_html__('Enter number to set time for product is new. Unit day. Default is 30.','bigc')
                                            ));
    array_push($config['theme-option']['settings'],array(
                                                'id'          => 'woo_shop_number',
                                                'label'       => esc_html__('Product Number','bigc'),
                                                'type'        => 'text',
                                                'section'     => 'option_woo',
                                                'desc'        => esc_html__('Enter number product to display per page. Default is 12.','bigc')
                                            ));
    array_push($config['theme-option']['settings'],array(
                                                'id'          => 'woo_shop_column',
                                                'label'       => esc_html__('Choose shop column','bigc'),
                                                'type'        => 'select',
                                                'section'     => 'option_woo',
                                                'choices'     => array(
                                                    array(
                                                        'value'=> 2,
                                                        'label'=> 2,
                                                    ),
                                                    array(
                                                        'value'=> 3,
                                                        'label'=> 3,
                                                    ),
                                                    array(
                                                        'value'=> 4,
                                                        'label'=> 4,
                                                    ),
                                                )
                                            ));
}