<?php
/**
 * Created by Sublime Text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:20 AM
 */

add_action('admin_init', 'sv_custom_meta_boxes');
if(!function_exists('sv_custom_meta_boxes')){
    function sv_custom_meta_boxes(){
        //Format content
        $format_metabox = array(
            'id' => 'block_format_content',
            'title' => esc_html__('Post Settings', 'bigc'),
            'desc' => '',
            'pages' => array('post'),
            'context' => 'normal',
            'priority' => 'high',
            'fields' => array(                
                array(
                    'id' => 'format_image',
                    'label' => esc_html__('Upload Image', 'bigc'),
                    'type' => 'upload',
                ),
                array(
                    'id' => 'format_gallery',
                    'label' => esc_html__('Add Gallery', 'bigc'),
                    'type' => 'Gallery',
                ),
                array(
                    'id' => 'format_media',
                    'label' => esc_html__('Link Media', 'bigc'),
                    'type' => 'text',
                ),
                array(
                    'id' => 'short_des',
                    'label' => esc_html__('Short Description', 'bigc'),
                    'type' => 'text',
                ),
                array(
                    'id' => 'first_intro',
                    'label' => esc_html__('First Intro', 'bigc'),
                    'type' => 'Textarea',
                )
            ),
        );
        //Product Add Info Tab
        $product_info_tab = array(
            'id' => 'product_info_content',
            'title' => esc_html__('Add Information Tab', 'bigc'),
            'pages' => array('product'),
            'context' => 'normal',
            'priority' => 'high',
            'fields' => array(
                array(
                    'id' => 'product_information',
                    'label' => esc_html__('Information Content', 'bigc'),
                    'type' => 'Textarea',
                )
            ),
        );
        //Show page title
        $show_page_title = array(
            'id' => 'page_title_setting',
            'title' => esc_html__('Title page setting', 'bigc'),
            'pages' => array('page'),
            'context' => 'normal',
            'priority' => 'high',
            'fields' => array(
                array(
                    'id' => 'show_title_page',
                    'label' => esc_html__('Show title', 'bigc'),
                    'type' => 'on-off',
                    'std'   => 'on',
                )
            ),
        );
        // SideBar
        $sidebar_metabox_default = array(
            'id'        => 'sv_sidebar_option',
            'title'     => esc_html__('Advanced Settings','bigc'),
            'desc'      => '',
            'pages'     => array( 'page','post','product'),
            'context'   => 'side',
            'priority'  => 'low',
            'fields'    => array(
                array(
                    'id'          => 'sv_sidebar_position',
                    'label'       => esc_html__('Sidebar position ','bigc'),
                    'type'        => 'select',
                    'std' => '',
                    'choices'     => array(
                        array(
                            'label'=>esc_html__('--Select--','bigc'),
                            'value'=>'',
                        ),
                        array(
                            'label'=>esc_html__('No Sidebar','bigc'),
                            'value'=>'no'
                        ),
                        array(
                            'label'=>esc_html__('Left sidebar','bigc'),
                            'value'=>'left'
                        ),
                        array(
                            'label'=>esc_html__('Right sidebar','bigc'),
                            'value'=>'right'
                        ),
                    ),

                ),
                array(
                    'id'        =>'sv_select_sidebar',
                    'label'     =>esc_html__('Selects sidebar','bigc'),
                    'type'      =>'sidebar-select',
                    'condition' => 'sv_sidebar_position:not(no),sv_sidebar_position:not()',
                ),
                array(
                    'id'          => 'sv_show_breadrumb',
                    'label'       => esc_html__('Show Breadcrumb','bigc'),
                    'type'        => 'select',
                    'choices'     => array(
                        array(
                            'label'=>esc_html__('--Select--','bigc'),
                            'value'=>'',
                        ),
                        array(
                            'label'=>esc_html__('Yes','bigc'),
                            'value'=>'yes'
                        ),
                        array(
                            'label'=>esc_html__('No','bigc'),
                            'value'=>'no'
                        ),
                    ),
                ),
                array(
                    'id'          => 'sv_breadrumb_style',
                    'label'       => esc_html__('Breadcrumb Style','bigc'),
                    'type'        => 'select',
                    'choices'     => array(
                        array(
                            'label'=>esc_html__('Default','bigc'),
                            'value'=>''
                        ),
                        array(
                            'label'=>esc_html__('Remove border','bigc'),
                            'value'=>'border-none'
                        ),
                    ),

                ),
                array(
                    'id'          => 'sv_header_page',
                    'label'       => esc_html__('Choose page header','bigc'),
                    'type'        => 'select',
                    'choices'     => sv_list_header_page()
                ),
                array(
                    'id'          => 'sv_footer_page',
                    'label'       => esc_html__('Choose page footer','bigc'),
                    'type'        => 'page-select'
                ),
            )
        );
        // Header append
        $header_append = array(
            'id'        => 'sv_header_append',
            'title'     => esc_html__('Header Append','bigc'),
            'desc'      => '',
            'pages'     => array( 'page','post','product'),
            'context'   => 'normal',
            'priority'  => 'low',
            'fields'    => array(                
                array(
                    'id'          => 'sv_show_header_append',
                    'label'       => esc_html__('Show Header Append','bigc'),
                    'type'        => 'select',
                    'choices'     => array(
                        array(
                            'label'=>esc_html__('--Select--','bigc'),
                            'value'=>'',
                        ),
                        array(
                            'label'=>esc_html__('Yes','bigc'),
                            'value'=>'on'
                        ),
                        array(
                            'label'=>esc_html__('No','bigc'),
                            'value'=>'off'
                        ),
                    ),
                ),
                array(
                    'id'          => 'sv_custom_header_append',
                    'label'       => esc_html__( 'Custom Header Append', 'bigc' ),
                    'type'        => 'list-item',
                    'settings'    => array( 
                        array(
                            'id' => 'image',
                            'label' => esc_html__('image', 'bigc'),
                            'type' => 'upload',
                        ),
                        array(
                            'id' => 'link',
                            'label' => esc_html__('Link image', 'bigc'),
                            'type' => 'text',
                        ),
                    ),
                    'condition' => 'sv_show_header_append:is(on)',
                ),
                array(
                    'id' => 'sv_show_header_item',
                    'label' => esc_html__('Header Append item', 'bigc'),
                    'type' => 'text',
                    'condition' => 'sv_show_header_append:is(on)',
                )

            )
        ); 
        if (function_exists('ot_register_meta_box')){
            ot_register_meta_box($format_metabox);
            ot_register_meta_box($sidebar_metabox_default);
            ot_register_meta_box($header_append);
            ot_register_meta_box($product_info_tab);
            ot_register_meta_box($show_page_title);
        }
    }
}
?>