<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:00 AM
 */

if(!function_exists('sv_vc_advantage'))
{
    function sv_vc_advantage($attr, $content = false)
    {
        $html = '';
        extract(shortcode_atts(array(
            'style'        => '',
            'image'        => '',
            'link'         => '',
            'position'     => 'box-left',
            'title_bt'     => '',
            'price'        => '',
            'title'        => '',
            'sale_off'     => '',
            'sale_to'      => '',
            'label'        => 'Shop Now',
        ),$attr));
        switch ($style) {
            case 'style-8':
                $html .=    '<div class="item-product item-product-leading">
                                <div class="item-product-thumb">
                                    <a class="product-thumb-link" href="'.esc_url($link).'">
                                    '.wp_get_attachment_image($image,'full',0,array('class'=>'img-responsive')).'
                                    </a>
                                </div>
                                <div class="item-product-info">
                                    <div class="info-sale"><span>'.$sale_off.'</span></div>
                                    <h3 class="sub-title">'.$title.'</h3>
                                    <div class="hotdeal-countdown" data-date="'.$sale_to.'"></div>
                                    <a class="readmore" href="'.esc_url($link).'">'.$label.'</a>
                                </div>
                            </div>';
                break;

            case 'style-7':
                $html .=    '<div class="item-product item-product-leading">
                                <div class="item-product-thumb">
                                    <a class="product-thumb-link" href="'.esc_url($link).'">
                                    '.wp_get_attachment_image($image,'full',0,array('class'=>'img-responsive')).'
                                    </a>
                                </div>
                                <div class="item-product-info">
                                    <div class="info-price">
                                        <span>'.$price.'</span>
                                    </div>
                                    <h3 class="sub-title">'.$title.'</h3>
                                    <a class="readmore" href="'.esc_url($link).'">'.$label.'</a>
                                </div>
                            </div>';
                break;

            case 'style-6':
                $html .=    '<div class="banner-box banner-style3 '.$position.'">
                                <a href="'.esc_url($link).'" class="banner-box-link">
                                    '.wp_get_attachment_image($image,'full').'
                                </a>';
                if(!empty($content)){
                    $html .=    '<div class="banner-box-info">
                                    '.wpb_js_remove_wpautop($content, true).'
                                </div>';
                }
                $html .=    '</div>';                
                break;

            case 'style-5':
                $html .=    '<div class="banner-box banner-style2">
                                <a href="'.esc_url($link).'" class="banner-box-link">
                                    '.wp_get_attachment_image($image,'full').'
                                </a>';
                if(!empty($content)){
                    $html .=    '<div class="banner-box-info">
                                    '.wpb_js_remove_wpautop($content, true).'
                                </div>';
                }
                if(!empty($title_bt)){
                    $html .=    '<h2 class="banner-box-title banner-box-title-blue">'.$title_bt.'</h2>';
                }
                $html .=    '</div>';
                break;

            case 'style-4':
                $html .=    '<div class="banner-box banner-style1 '.$position.'">
                                <a href="'.esc_url($link).'" class="banner-box-link">
                                    '.wp_get_attachment_image($image,'full').'
                                </a>
                                <div class="banner-box-info">
                                    '.wpb_js_remove_wpautop($content, true).'
                                </div>
                            </div>';
                break;

            case 'style-2':
                $html .=    '<div class="leading-box-adv product-box-adv">
                                <a href="'.esc_url($link).'" class="product-thumb-link">
                                    '.wp_get_attachment_image($image,'full',0,array('class'=>'img-responsive')).'
                                </a>
                                <div class="leading-text-adv">
                                    '.wpb_js_remove_wpautop($content, true).'
                                </div>
                            </div>';
                break;

            case 'style-3':
                $html .= '<div class="item-box-adv product-box-adv">
                            <a href="'.esc_url($link).'" class="product-thumb-link">
                                '.wp_get_attachment_image($image,'full',0,array('class'=>'img-responsive')).'
                            </a>
                            '.wpb_js_remove_wpautop($content, true).'
                        </div>';
                break;

            default:
                $html .=    '<div class="item-advert">
                                <div class="thumb-adv">
                                    <a href="'.esc_url($link).'">
                                        '.wp_get_attachment_image($image,'full',0,array('class'=>'img-responsive')).'
                                    </a>
                                </div>
                                <div class="text-adv">
                                    '.wpb_js_remove_wpautop($content, true).'
                                </div>
                            </div>';
                break;
        }
        return $html;
    }
}

stp_reg_shortcode('sv_advantage','sv_vc_advantage');

vc_map( array(
    "name"      => esc_html__("SV Advantage", 'bigc'),
    "base"      => "sv_advantage",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Style",'bigc'),
            "param_name" => "style",
            "value"     => array(
                esc_html__("Style 1","bigc") => 'style-1',
                esc_html__("Style 2","bigc") => 'style-2',
                esc_html__("Style 3","bigc") => 'style-3',
                esc_html__("Style 4","bigc") => 'style-4',
                esc_html__("Style 5","bigc") => 'style-5',
                esc_html__("Style 6","bigc") => 'style-6',
                esc_html__("Style 7","bigc") => 'style-7',
                esc_html__("Style 8","bigc") => 'style-8',
                )
        ),
        array(
            "type" => "attach_image",
            "heading" => esc_html__("Image",'bigc'),
            "param_name" => "image",
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Link Adv",'bigc'),
            "param_name" => "link",
        ),
        array(
            "type" => "textarea_html",
            "holder" => "div",
            "heading" => esc_html__("Content",'bigc'),
            "param_name" => "content",
            "dependency"    => array(
                "element"   => 'style',
                "value"   => array('style-1','style-2','style-3','style-4','style-5','style-6')
                )
        ),
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Position",'bigc'),
            "param_name" => "position",
            "value"     => array(
                esc_html__("Left","bigc") => 'box-left',
                esc_html__("Right","bigc") => 'box-right',
                esc_html__("Center","bigc") => 'box-center',
                ),
            "dependency"    => array(
                "element"   => 'style',
                "value"   => array('style-4','style-6')
                )
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Title Bottom",'bigc'),
            "param_name" => "title_bt",
            "dependency"    => array(
                "element"   => 'style',
                "value"   => 'style-5'
                )
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Title",'bigc'),
            "param_name" => "title",
            "dependency"    => array(
                "element"   => 'style',
                "value"   => array('style-7','style-8')
                )
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Label button",'bigc'),
            "param_name" => "label",
            "dependency"    => array(
                "element"   => 'style',
                "value"   => array('style-7','style-8')
                )
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Price",'bigc'),
            "param_name" => "price",
            "dependency"    => array(
                "element"   => 'style',
                "value"   => array('style-7')
                )
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Sale Off",'bigc'),
            "param_name" => "sale_off",
            "dependency"    => array(
                "element"   => 'style',
                "value"   => array('style-8')
                )
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Sale to",'bigc'),
            "param_name" => "sale_to",
            'description' => esc_html__( 'Set Time to display countdown. Format m/d/y', 'bigc' ),
            "dependency"    => array(
                "element"   => 'style',
                "value"   => array('style-8')
                )
        ),
    )
));