<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:00 AM
 */

if(!function_exists('sv_vc_header_meta'))
{
    function sv_vc_header_meta($attr)
    {
        $html = '';
        extract(shortcode_atts(array(
            'check_list'      => '',
            'account_content' => '',
            'icon_style'      => '',
        ),$attr));
        ob_start();
        sv_search_form();
        $search_html = ob_get_clean();
        $check_array = explode(',', $check_list);
        $html .=    '<div class="info-header">
                        <ul class="info-total '.$icon_style.'">';
        if(in_array('search', $check_array)){
            $s_class = '';
            if(!in_array('user', $check_array) && !in_array('cart', $check_array)) $s_class = 'search-only';
            $html .=        '<li class="info-search '.$s_class.'">
                                <a href="#" class="info-icon icon-search"><span class="lnr lnr-magnifier"></span></a>
                                '.$search_html.'
                            </li>';
        }
        if(in_array('user', $check_array)){
            $html .=        '<li class="info-user">
                                <a href="#" class="info-icon icon-user"><span class="lnr lnr-user"></span></a>
                                <ul class="list-unstyled inner-user-info">';
            parse_str(urldecode($account_content), $account_list);
            foreach ($account_list as $value) {
                $icon_html = '';
                if(!empty($value['icon'])){
                    if(strpos($value['icon'],'lnr') !== false) $icon_html = '<span class="lnr '.$value['icon'].'"></span>';
                    else $icon_html =   '<i class="fa '.$value['icon'].'"></i>';
                }
                $html .=            '<li><a href="'.esc_url($value['url']).'">'.$icon_html.' '.$value['title'].'</a></li>';
            }        
            $html .=            '</ul>
                            </li>';
        }
        if(in_array('cart', $check_array)){
            $html .=        '<li class="info-cart">
                                <a href="#" class="info-icon icon-cart"><span class="lnr lnr-cart"></span> <sup class="cart-item-count">0</sup></a>
                                <div class="inner-cart-info">
                                    <a href="#" class="close-cart-info"><span class="cart-item-count">0</span>'.esc_html__(" Item","bigc").'</a>
                                    <div class="mini-cart-content">'.sv_mini_cart().'</div>
                                </div>
                                <input id="num-decimal" type="hidden" value="'.get_option("woocommerce_price_num_decimals").'">
                                <input id="currency" type="hidden" value=".'.get_option("woocommerce_currency").'">
                            </li>';
        }
        $html .=        '</ul>
                    </div>';
        return $html;
    }
}

stp_reg_shortcode('sv_header_meta','sv_vc_header_meta');

vc_map( array(
    "name"      => esc_html__("SV Header Meta", 'bigc'),
    "base"      => "sv_header_meta",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type" => "checkbox",
            "holder" => "div",
            "heading" => esc_html__("Icon Display",'bigc'),
            "param_name" => "check_list",
            "value"     => array(
                esc_html__("Search",'bigc') => 'search',
                esc_html__("User Dropdown",'bigc') => 'user',
                esc_html__("Mini Cart",'bigc') => 'cart',
                )
        ),
        array(
            "type" => "add_account_menu",
            "heading" => esc_html__("User Dropdown Links",'bigc'),
            "param_name" => "account_content",
        ),
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Icon Style",'bigc'),
            "param_name" => "icon_style",
            "value"     => array(
                esc_html__("Large Icon",'bigc') => '',
                esc_html__("Border Box",'bigc') => 'icon-border',
                )
        ),
    )
));