<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 31/12/15
 * Time: 10:00 AM
 */

if(!function_exists('sv_vc_header_meta3'))
{
    function sv_vc_header_meta3($attr)
    {
        $html = $cart_icon_html = $notification_icon_html = $search_icon_html = '';
        extract(shortcode_atts(array(
            'check_list'        => '',
            'cart_icon'         => 'lnr-cart',
            'notification_icon' => 'lnr-bullhorn',
            'social_list'       => '',
            'search_icon'       => 'lnr-magnifier',
            'search_button'     => 'Search',
        ),$attr));
        $check_array = explode(',', $check_list);
        if(!empty($cart_icon)){
            if(strpos($cart_icon,'lnr') !== false) $cart_icon_html = '<span class="lnr '.$cart_icon.'"></span>';
            else $cart_icon_html =   '<i class="fa '.$cart_icon.'"></i>';
        }
        if(!empty($notification_icon)){
            if(strpos($notification_icon,'lnr') !== false) $notification_icon_html = '<span class="lnr '.$notification_icon.'"></span>';
            else $notification_icon_html =   '<i class="fa '.$notification_icon.'"></i>';
        }
        if(!empty($search_icon)){
            if(strpos($search_icon,'lnr') !== false) $search_icon_html = '<span class="lnr '.$search_icon.'"></span>';
            else $search_icon_html =   '<i class="fa '.$search_icon.'"></i>';
        }
        $html .= '<div class="home-box-extra">';
        if(in_array('cart', $check_array)){
            $html .= '<div class="home-cart-box">
                                <a href="#" class="icon-extra-sub icon-home-cart">
                                    '.$cart_icon_html.'
                                    <sup class="cart-item-count">0</sup>
                                </a>
                                <div class="home-extra-sub">
                                    <a href="#" class="close-extra-sub">'.esc_html__("Close","bigc").'</a>
                                    <div class="inner-cart-info">
                                        <div class="mini-cart-content">'.sv_mini_cart().'</div>
                                    </div>
                                </div>
                            </div>';
        }
        if(in_array('notification', $check_array)){
            parse_str( urldecode( $social_list ), $data);
            if(is_array($data)){
                $html .=    '<div class="home-share-box">
                                <a href="#" class="icon-extra-sub icon-home-share">
                                    '.$notification_icon_html.'
                                </a>
                                <div class="home-extra-sub">
                                    <a href="#" class="close-extra-sub">'.esc_html__("Close","bigc").'</a>
                                    <ul class="list-unstyled share-social">';
                foreach ($data as $key => $value) {
                    $url = '#';
                    if(isset($value['url'])) $url = $value['url'];
                    $html .=            '<li><a href="'.esc_url($url).'"><i class="fa '.$value['social'].'"></i>'.$value['title'].'</a></li>';
                }
                $html .=            '</ul>
                                </div>
                            </div>';
            }
        }
        if(in_array('search', $check_array)){
            $html .=    '<div class="home-search-box">
                            <a href="#" class="icon-extra-sub icon-home-search">
                                '.$search_icon_html.'
                            </a>
                            <div class="home-extra-sub">
                                <a href="#" class="close-extra-sub">'.esc_html__("Close","bigc").'</a>';
            ob_start();
            $search_val = get_search_query();
            if(empty($search_val)){
                $search_val = esc_html__("Search store","bigc");
            }?>
            <form class="home-search-form" method="get" action="<?php echo esc_url( home_url( '/'  ) ); ?>">
                <input type="text" name="s" value="<?php echo esc_attr($search_val);?>" onfocus="if (this.value==this.defaultValue) this.value = ''" onblur="if (this.value=='') this.value = this.defaultValue">
                <input type="hidden" name="post_type" value="product" />
                <input class="btn-link-default" type="submit" value="Search">
            </form>
            <?php 
            $html .= ob_get_clean();                   
            $html .=        '</div>
                        </div>';
        }
        $html .= '</div>';
        return $html;
    }
}

stp_reg_shortcode('sv_header_meta3','sv_vc_header_meta3');

vc_map( array(
    "name"      => esc_html__("SV Header Meta 3", 'bigc'),
    "base"      => "sv_header_meta3",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type" => "checkbox",
            "holder" => "div",
            "heading" => esc_html__("Box Display",'bigc'),
            "param_name" => "check_list",
            "value"     => array(
                esc_html__("Mini Cart",'bigc') => 'cart',                
                esc_html__("Notification",'bigc') => 'notification',
                esc_html__("Search",'bigc') => 'search',
                )
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Cart Icon",'bigc'),
            "param_name" => "cart_icon",
            'edit_field_class'=>'vc_col-sm-12 vc_column sv_iconpicker',
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Notifocation Icon",'bigc'),
            "param_name" => "notification_icon",
            'edit_field_class'=>'vc_col-sm-12 vc_column sv_iconpicker',
        ),
        array(
            "type" => "add_social_ex",
            "heading" => esc_html__("Add Social List",'bigc'),
            "param_name" => "social_list",
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Search Icon",'bigc'),
            "param_name" => "search_icon",
            'edit_field_class'=>'vc_col-sm-12 vc_column sv_iconpicker',
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Search Label Button",'bigc'),
            "param_name" => "search_button",
            'edit_field_class'=>'vc_col-sm-12 vc_column sv_iconpicker',
        ),
    )
));