<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 31/12/15
 * Time: 10:00 AM
 */

if(!function_exists('sv_vc_header_meta4'))
{
    function sv_vc_header_meta4($attr)
    {
        $html = $cart_icon_html = $account_icon_html = $search_icon_html = '';
        extract(shortcode_atts(array(
            'check_list'        => '',
            'cart_icon'         => 'lnr-cart',
            'account_icon'      => 'lnr-user',
            'account_content'   => '',
            'currency_content'  => '',
            'search_icon'       => 'lnr-magnifier',
            'search_button'     => 'Search',
            'cart_fixed'        => '',
        ),$attr));
        $check_array = explode(',', $check_list);
        if(!empty($cart_icon)){
            if(strpos($cart_icon,'lnr') !== false) $cart_icon_html = '<span class="lnr '.$cart_icon.'"></span>';
            else $cart_icon_html =   '<i class="fa '.$cart_icon.'"></i>';
        }
        if(!empty($account_icon)){
            if(strpos($account_icon,'lnr') !== false) $account_icon_html = '<span class="lnr '.$account_icon.'"></span>';
            else $account_icon_html =   '<i class="fa '.$account_icon.'"></i>';
        }
        if(!empty($search_icon)){
            if(strpos($search_icon,'lnr') !== false) $search_icon_html = '<span class="lnr '.$search_icon.'"></span>';
            else $search_icon_html =   '<i class="fa '.$search_icon.'"></i>';
        }        
        $lang_class = 'lang-no-active';
        if(defined('ICL_LANGUAGE_CODE')) $lang_class = 'lang-active';
        if($cart_fixed) {
            $cart_pos = 'info-cart7';
            $cart_wrap = 'wrap-cart7';
        }
        else {
            $cart_pos = '';
            $cart_wrap = '';
        }
        $html .=    '<div class="info-header info-header3 header-home-7 '.$lang_class.'">
                        <ul class="info-total '.$cart_wrap.'">';        
        if(in_array('account', $check_array)){
            $html .=    '<li class="info-user info-user3">
                            <a href="#" class="info-icon icon-user">'.$account_icon_html.'</a>
                            <div class="box-info-user">';
            $html .=            '<ul class="list-unstyled user-info-list">';
            parse_str(urldecode($account_content), $account_list);
            foreach ($account_list as $value) {
                $icon_html = '';
                if(!empty($value['icon'])){
                    if(strpos($value['icon'],'lnr') !== false) $icon_html = '<span class="lnr '.$value['icon'].'"></span>';
                    else $icon_html =   '<i class="fa '.$value['icon'].'"></i>';
                }
                $html .=            '<li><a href="'.esc_url($value['url']).'">'.$icon_html.' '.$value['title'].'</a></li>';
            }
            $html .=            '</ul>';            
            if(defined('ICL_LANGUAGE_CODE')){
                $html .=            '<ul class="list-unstyled language-list">';                
                $wpml_lang = icl_get_languages('skip_missing=0&orderby=custom');                               
                foreach ($wpml_lang as $lang) {
                    if($lang['active']) $l_class = 'active';
                    else $l_class = '';
                    $html .=            '<li class="'.$l_class.'">
                                            <a href="'.esc_url($lang['url']).'">                    
                                                <img alt="flag" src="'.esc_url($lang['country_flag_url']).'">
                                                '.$lang['native_name'].'
                                            </a>
                                        </li>';
                }
                $html .=            '</ul>';
            }
            $html .=        '</div>
                        </li>';
        }
        if(in_array('search', $check_array)){
            $html .=    '<li class="info-search">
                            <a href="#" class="info-icon icon-search">'.$search_icon_html.'</a>
                            <div class="search-form search-form3"><div class="home-search-box">';
            ob_start();
            $search_val = get_search_query();
            if(empty($search_val)){
                $search_val = esc_html__("Find amazing products","bigc");
            }?>
            <form method="get" action="<?php echo esc_url( home_url( '/' ) ); ?>">
                <input type="text" name="s" value="<?php echo esc_attr($search_val);?>" onfocus="if (this.value==this.defaultValue) this.value = ''" onblur="if (this.value=='') this.value = this.defaultValue">
                <input type="hidden" name="post_type" value="product" />
                <input class="btn-link-default" type="submit" value="Search">
            </form>
            <?php 
            $html .= ob_get_clean();                   
            $html .=        '</div></div>
                        </li>';
        }
        if(in_array('cart', $check_array)){
            $html .=        '<li class="info-cart '.$cart_pos.'">
                                <a href="#" class="info-icon icon-cart">'.$cart_icon_html.' <sup class="cart-item-count">0</sup></a>
                                <div class="inner-cart-info inner-cart-info5">
                                    <h2><span class="cart-item-count">0</span> '.esc_html__("items","bigc").'</h2>                            
                                    <div class="mini-cart-content">'.sv_mini_cart().'</div>
                                </div>
                            </li>';
        }
        $html .=        '</ul>
                    </div>';
        return $html;
    }
}

stp_reg_shortcode('sv_header_meta4','sv_vc_header_meta4');

vc_map( array(
    "name"      => esc_html__("SV Header Meta 4", 'bigc'),
    "base"      => "sv_header_meta4",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type" => "checkbox",
            "holder" => "div",
            "heading" => esc_html__("Box Display",'bigc'),
            "param_name" => "check_list",
            "value"     => array(
                esc_html__("Mini Cart",'bigc') => 'cart',                
                esc_html__("Account",'bigc') => 'account',
                esc_html__("Search",'bigc') => 'search',
                )
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Cart Icon",'bigc'),
            "param_name" => "cart_icon",
            'edit_field_class'=>'vc_col-sm-12 vc_column sv_iconpicker',
        ),
        array(
            "type" => "checkbox",
            "heading" => esc_html__("Cart Fixed",'bigc'),
            "param_name" => "cart_fixed",
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Account Icon",'bigc'),
            "param_name" => "account_icon",
            'edit_field_class'=>'vc_col-sm-12 vc_column sv_iconpicker',
        ),
        array(
            "type" => "add_account_menu",
            "heading" => esc_html__("Account Links",'bigc'),
            "param_name" => "account_content",
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Search Icon",'bigc'),
            "param_name" => "search_icon",
            'edit_field_class'=>'vc_col-sm-12 vc_column sv_iconpicker',
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Search Label Button",'bigc'),
            "param_name" => "search_button",
            'edit_field_class'=>'vc_col-sm-12 vc_column sv_iconpicker',
        ),
    )
));