<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 05/09/15
 * Time: 10:00 AM
 */

if(!function_exists('sv_vc_product_list'))
{
    function sv_vc_product_list($attr, $content = false)
    {
        $html = $el_class = $html_wl = $html_cp = '';
        extract(shortcode_atts(array(
            'style'         => 'grid',
            'tab_title'     => 'default',
            'tab_style'     => 'normal',
            'grid_style'    => 'normal',
            'tab_title_text'=> '',
            'adv_grid'      => '',
            'icon_cat'      => '',
            'position'      => '2',
            'number'        => '8',
            'cats'          => '',
            'order_by'      => 'date',
            'order'         => 'DESC',
            'product_type'  => 'latest',
            'show_meta'     => 'no',
        ),$attr));
        $custom_list = array();
        $args = array(
            'post_type'         => 'product',
            'posts_per_page'    => $number,
            'orderby'          => $order_by,
            'order'             => $order,
            );
        if($product_type == 'toprate'){
            add_filter( 'posts_clauses',  array( WC()->query, 'order_by_rating_post_clauses' ) );
            $args['no_found_rows'] = 1;
            $args['meta_query'] = WC()->query->get_meta_query();
        }
        if($product_type == 'mostview'){
            $args['meta_key'] = 'post_views';
            $args['orderby'] = 'meta_value_num';
        }
        if($product_type == 'bestsell'){
            $args['meta_key'] = 'total_sales';
            $args['orderby'] = 'meta_value_num';
        }
        if($product_type=='onsale'){
            $args['meta_query'][]=array(
                'key'   => '_sale_price',
                'value' => 0,
                'compare' => '>',                
                'type'          => 'numeric'
            );
        }
        if($product_type == 'featured'){
            $args['meta_key'] = '_featured';
            $args['meta_value'] = 'yes';
        }
        if(!empty($cats)) {
            $custom_list = explode(",",$cats);
            $args['tax_query'][]=array(
                'taxonomy'=>'product_cat',
                'field'=>'slug',
                'terms'=> $custom_list
            );
        }
        $product_query = new WP_Query($args);
        $count_query = $product_query->post_count;
        switch ($style) {
            case 'featured-product':
                $html .=    '<div class="home-featured-slider woocommerce">
                                <div class="home-directnav">
                                    <div class="wrap-item">';
                if($product_query->have_posts()) {
                    while($product_query->have_posts()) {
                        $product_query->the_post();
                        global $product,$post;
                        $thumb_id = array(get_post_thumbnail_id());
                        $attachment_ids = $product->get_gallery_attachment_ids();
                        $attachment_ids = array_merge($thumb_id,$attachment_ids);
                        $ul_block = $bx_block = '';$i = 0;
                        foreach ( $attachment_ids as $attachment_id ) {
                            $image_link = wp_get_attachment_url( $attachment_id );
                            if ( ! $image_link )
                                continue;
                            $image_title    = esc_attr( get_the_title( $attachment_id ) );
                            $image_caption  = esc_attr( get_post_field( 'post_excerpt', $attachment_id ) );
                            $image       = wp_get_attachment_image( $attachment_id, array(368,368), 0, $attr = array(
                                'title' => $image_title,
                                'alt'   => $image_title
                                ) );
                            $ul_block .= '<li>'.$image.'</li>';
                            $bx_block .= '<a data-slide-index="'.$i.'" href="#">'.$image.'</a>';
                            $i++;
                        }
                        $html .=    '<div class="item">
                                        <div class="item-product-featured">
                                            <div class="row">
                                                <div class="col-md-4 col-sm-4 col-xs-12 col-md-offset-1 col-sm-offset-0">
                                                    <div class="product-featured-thumb">
                                                        <ul class="bxslider">
                                                            '.$ul_block.'
                                                        </ul>
                                                    </div>
                                                </div>
                                                <div class="col-md-6 col-sm-6 col-xs-12">
                                                    <div class="product-featured-info">
                                                        <h3>'.get_the_title().'</h3>
                                                        <div class="info-price">
                                                            '.$product->get_price_html().'
                                                        </div>
                                                        <p class="desc">'.get_the_excerpt().'</p>
                                                        <div class="bx-pager">
                                                            '.$bx_block.'
                                                        </div>
                                                        <div class="wrap-cart-qty">
                                                            <label>'.esc_html__("Qty","bigc").':</label>';
                                                            ob_start();
                                                            woocommerce_template_single_add_to_cart();
                                    $html .=                ob_get_clean();                        
                                    $html .=            '</div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>';
                    }
                }

                $html .=            '</div>
                                    <div class="control-paginav-featured-slider">
                                        <span id="amount">1</span>
                                        <div id="slider-range-max"></div>
                                    </div>
                                </div>
                            </div>';
                break;

            case 'grid':
                $html .= '<div class="new-product">';
                if($grid_style == 'slider'){
                    $html .= '<div class="grid-product-slider">';
                }
                else $html .= '<ul class="list-product row list-unstyled">';
                $count = 1;
                if($product_query->have_posts()) {
                    while($product_query->have_posts()) {
                        $product_query->the_post();
                        global $product,$post; 
                        if(has_post_thumbnail(get_the_ID())) $thumb_html = get_the_post_thumbnail(get_the_ID(),array(370,370),array('class'=>'img-responsive'));
                        else $thumb_html = '';
                        if($grid_style == 'slider' && $count % 6 == 1){
                            $html .= '<div class="item"><ul class="list-product row list-unstyled">';
                        }
                        $html .=    '<li class="col-md-4 col-sm-6 col-xs-12">
                                        <div class="item-product">
                                            <div class="item-product-thumb">
                                                <a href="'.get_the_permalink().'" class="product-thumb-link">
                                                    '.$thumb_html.'
                                                </a>
                                                '.sv_product_box_hover().'
                                                '.sv_get_meta_product($show_meta).'
                                            </div>
                                            <div class="item-product-info">
                                                <h3 class="title-product"><a href="'.get_the_permalink().'">'.get_the_title().'</a></h3>
                                                <div class="info-price">
                                                    '.$product->get_price_html().'
                                                </div>
                                            </div>
                                        </div>
                                    </li>';
                        if($grid_style == 'slider' && ($count % 6 == 0 || $count == $count_query)){
                            $html .= '</ul></div>';
                        }
                        $count++;
                    }
                }
                if($grid_style == 'slider'){
                    $html .=    '</div>';
                }
                else $html .=    '</ul>';
                $html .= '</div>';
                break;

            case 'grid-2':
                if($grid_style == 'slider'){
                    $html .= '<div class="new-product-2"><div class="grid-product-slider">';
                }
                else $html .= '<ul class="list-product row list-unstyled">';
                $count = 1;$position = (int)$position;
                parse_str( urldecode( $adv_grid ), $data);
                if(is_array($data)){                        
                    $new_data = array();
                    $k = 1;
                    foreach ($data as $value) {
                        $new_data[$k] = $value;
                        $k++;
                    }
                    $data = $new_data;
                }
                $ccount = 1;$first_slider = true;$item_slider = 6;
                if($product_query->have_posts()) {
                    while($product_query->have_posts()) {
                        $product_query->the_post();
                        global $product,$post;
                        $thumb_html = '';
                        if($position < 1 || !isset($data[$ccount]['image'])) $item_slider = 7;
                        if(!$first_slider) $item_slider = 8;
                        if($grid_style == 'slider' && $count % $item_slider == 1 && $count != 9){
                            $html .= '<div class="item"><ul class="list-product row list-unstyled '.$item_slider.'-item">';
                            if($count > $item_slider){
                                $item_slider = 8;
                                $first_slider = false;
                            }
                        }
                        if($count == $position){
                            if(isset($data[$ccount]['image'])){
                                $thumb_html = wp_get_attachment_image($data[1]['image'],array(570,334),0,array('class'=>'img-responsive'));
                                $s_price = '<span>'.$data[$ccount]['price'].'</span>';
                                $s_link = $data[$ccount]['link'];
                                $s_title = $data[$ccount]['title'];
                                $s_label = $data[$ccount]['label'];
                            }
                            else{
                                if(has_post_thumbnail(get_the_ID())) $thumb_html = get_the_post_thumbnail(get_the_ID(),array(570,334),array('class'=>'img-responsive'));
                                $s_price = $product->get_price_html();
                                $s_link = get_the_permalink();
                                $s_title = get_the_title();
                                $s_label = esc_html__("Shop Now","bigc");
                            }
                            $html .=    '<li class="col-md-6 col-sm-6 col-xs-12">
                                            <div class="item-product item-product-leading">
                                                <div class="item-product-thumb">
                                                    <a href="'.esc_url($s_link).'" class="product-thumb-link">
                                                        '.$thumb_html.'
                                                    </a>';
                            if(isset($data[1]['image'])){
                                $html .= '<div class="product-extra-mask">
                                    <div class="product-extra-link"></div>
                                </div>';
                            }
                            else{
                                $html .= sv_product_box_hover();
                            }
                            $html .=            '</div>
                                                <div class="item-product-info">
                                                    <div class="info-price">
                                                        '.$s_price.'
                                                    </div>
                                                    <h3 class="sub-title"><a href="'.esc_url($s_link).'">'.$s_title.'</a></h3>';
                            if(!empty($s_label)) $html .= '<a href="'.esc_url($s_link).'" class="readmore">'.$s_label.'</a>';
                            $html .=            '</div>
                                            </div>
                                        </li>';
                            if(isset($data[$ccount]['image'])){
                                if(has_post_thumbnail(get_the_ID())) $thumb_html = get_the_post_thumbnail(get_the_ID(),array(270,270),array('class'=>'img-responsive'));
                                $html .=    '<li class="col-md-3 col-sm-6 col-xs-12">
                                                <div class="item-product">
                                                    <div class="item-product-thumb">
                                                        <a href="'.get_the_permalink().'" class="product-thumb-link">
                                                            '.$thumb_html.'
                                                        </a>
                                                        '.sv_product_box_hover().'
                                                        '.sv_get_meta_product($show_meta).'
                                                    </div>
                                                    <div class="item-product-info">
                                                        <h3 class="title-product"><a href="'.get_the_permalink().'">'.get_the_title().'</a></h3>
                                                        <div class="info-price">
                                                            '.$product->get_price_html().'
                                                        </div>
                                                    </div>
                                                </div>
                                            </li>';
                            }
                        }
                        else{
                            if(has_post_thumbnail(get_the_ID())) $thumb_html = get_the_post_thumbnail(get_the_ID(),array(270,270),array('class'=>'img-responsive'));
                            $html .=    '<li class="col-md-3 col-sm-6 col-xs-12">
                                            <div class="item-product">
                                                <div class="item-product-thumb">
                                                    <a href="'.get_the_permalink().'" class="product-thumb-link">
                                                        '.$thumb_html.'
                                                    </a>
                                                    '.sv_product_box_hover().'
                                                </div>
                                                <div class="item-product-info">
                                                    <h3 class="title-product"><a href="'.get_the_permalink().'">'.get_the_title().'</a></h3>
                                                    <div class="info-price">
                                                        '.$product->get_price_html().'
                                                    </div>
                                                </div>
                                            </div>
                                        </li>';
                        }
                        if($grid_style == 'slider' && ($count % $item_slider == 0 || $count == $count_query) && $count != 8){
                            $html .= '</ul></div>';
                        }
                        $count++;
                    }
                }                    
                if($grid_style == 'slider'){
                    $html .=    '</div></div>';
                }
                else $html .=    '</ul>';

                break;

            case 'hot-deal':
                $html .= '<ul class="list-product row list-unstyled">';
                $args['meta_query'][]=array(
                    'key'   => '_sale_price_dates_to',
                    'value' => 0,
                    'compare' => '>',
                    'type'          => 'numeric'
                );
                $args['meta_key'] = '_sale_price_dates_to';
                $args['orderby'] = 'meta_value_num';
                $product_query = new WP_Query($args);
                if($product_query->have_posts()) {
                    while($product_query->have_posts()) {
                        $product_query->the_post();
                        global $product,$post;
                        $thumb_html = '';
                        if(has_post_thumbnail(get_the_ID())) $thumb_html = get_the_post_thumbnail(get_the_ID(),array(270,270),array('class'=>'img-responsive'));
                        $html .=    '<li class="col-md-3 col-sm-6 col-xs-12">
                                        <div class="item-product">
                                            <div class="item-product-thumb">
                                                <a href="'.get_the_permalink().'" class="product-thumb-link">
                                                    '.$thumb_html.'
                                                </a>
                                                '.sv_product_count_down().'
                                            </div>
                                            <div class="item-product-info">
                                                <h3 class="title-product"><a href="'.get_the_permalink().'">'.get_the_title().'</a></h3>
                                                <div class="info-price">
                                                    '.$product->get_price_html().'
                                                </div>
                                            </div>
                                        </div>
                                    </li>';
                    }
                }
                $html .=    '</ul>';
                break;

            case 'tab-cate-grid':
                if(!empty($cats)){
                    $pre = rand(0,1000);
                    $cats = explode(',', $cats);
                    $tab_title_html = '';
                    $tab_title_html .=    '<ul class="nav nav-tabs" role="tablist">';
                    $ccount = 1;
                    foreach ($cats as $cat_id) {
                        $f_class = '';$expanded = 'false';
                        if($ccount == 1){
                            $f_class = 'active';
                            $expanded = 'true';
                        }
                        $term = get_term_by( 'slug',$cat_id, 'product_cat' );
                        $tab_title_html .= '<li role="presentation" class="'.$f_class.'"><a href="#'.$pre.$term->slug.'" aria-controls="'.$pre.$term->slug.'" role="tab" data-toggle="tab">'.$term->name.'</a></li>';
                        $ccount ++;
                    }
                    $tab_title_html .=        '</ul>';
                    if($tab_title == 'style-2'){
                        $html .=    '<div class="header-product-tab">
                                        <div class="row">
                                            <div class="col-md-3 col-sm-3 col-xs-12">
                                                <h2 class="title">'.$tab_title_text.'</h2>
                                            </div>
                                            <div class="col-md-9 col-sm-9 col-xs-12">
                                                <div class="list-tab-title">
                                                    '.$tab_title_html.'
                                                </div>
                                            </div>
                                        </div>
                                    </div>';
                    }
                    else{
                        $html .=    '<div class="nav-tabs-default">
                                        '.$tab_title_html.'
                                    </div>';
                    }
                    $html .=    '<div class="product-grid tab-content">';
                    $ccount = 1;
                    foreach ($cats as $cat_id) {
                        $f_class = '';
                        if($ccount == 1) $f_class = 'active';
                        $term = get_term_by( 'slug',$cat_id, 'product_cat' );
                        $args['tax_query'] = array();
                        $args['tax_query'][]=array(
                                                'taxonomy'=>'product_cat',
                                                'field'=>'slug',
                                                'terms'=> $cat_id
                                            );
                        $product_query = new WP_Query($args);
                        $count_query = $product_query->post_count;
                        $html .= '<div role="tabpanel" class="tab-pane '.$f_class.'" id="'.$pre.$term->slug.'">';
                        $html .=    '<div class="new-product">';
                        if($tab_style == 'slider') $html .= '<div class="product-tab-slider"><div class="wrap-item">';
                        else $html .=   '<ul class="list-product row list-unstyled">';
                        $count = 1;
                        if($product_query->have_posts()) {
                            while($product_query->have_posts()) {
                                $product_query->the_post();
                                global $product,$post; 
                                if(has_post_thumbnail(get_the_ID())) $thumb_html = get_the_post_thumbnail(get_the_ID(),array(370,370),array('class'=>'img-responsive'));
                                else $thumb_html = '';
                                if($tab_style == 'slider' && $count % 6 == 1){
                                    $html .= '<div class="item"><ul class="list-product row list-unstyled">';
                                }
                                $html .=    '<li class="col-md-4 col-sm-6 col-xs-12">
                                                <div class="item-product">
                                                    <div class="item-product-thumb">
                                                        <a href="'.get_the_permalink().'" class="product-thumb-link">
                                                            '.$thumb_html.'
                                                        </a>
                                                        '.sv_product_box_hover().'
                                                        '.sv_get_meta_product($show_meta).'
                                                    </div>
                                                    <div class="item-product-info">
                                                        <h3 class="title-product"><a href="'.get_the_permalink().'">'.get_the_title().'</a></h3>
                                                        <div class="info-price">
                                                            '.$product->get_price_html().'
                                                        </div>
                                                    </div>
                                                </div>
                                            </li>';
                                if($tab_style == 'slider' && ($count % 6 == 0 || $count == $count_query)){
                                    $html .= '</ul></div>';
                                }
                                $count++;
                            }
                        }
                        if($tab_style == 'slider') $html .=    '</div></div>';
                        else $html .=    '</ul>';
                        $html .=    '</div>';
                        $html .= '</div>';
                        $ccount++;
                    }                    
                    $html .= '</div>';
                }
                break;            

            default:
                if(!empty($cats)){
                    $pre = rand(0,1000);
                    $cats = explode(',', $cats);                    
                    $tab_title_html = $icon_html = '';
                    $tab_title_html .=    '<ul class="nav nav-tabs" role="tablist">';
                    $ccount = 1;
                     if(!empty($icon_cat)){
                        parse_str( urldecode( $icon_cat ), $icon_data);
                    }
                    foreach ($cats as $cat_id) {
                        if($tab_title == 'style-3' && !empty($icon_cat)){
                            $icon_html = '';
                            if(isset($icon_data[$ccount]['icon'])){
                                if(strpos($icon_data[$ccount]['icon'],'lnr') !== false) $icon_html = '<span class="lnr '.$icon_data[$ccount]['icon'].'"></span>';
                                else $icon_html =   '<i class="fa '.$icon_data[$ccount]['icon'].'"></i>';
                            }
                        }
                        $f_class = '';$expanded = 'false';
                        if($ccount == 1){
                            $f_class = 'active';
                            $expanded = 'true';
                        }
                        $term = get_term_by( 'slug',$cat_id, 'product_cat' );
                        $tab_title_html .= '<li role="presentation" class="'.$f_class.'"><a href="#'.$pre.$term->slug.'" aria-controls="'.$pre.$term->slug.'" role="tab" data-toggle="tab">'.$icon_html.$term->name.'</a></li>';
                        $ccount ++;
                    }
                    $tab_title_html .=        '</ul>';                    
                    $el_slider = 'nav-default';
                    switch ($tab_title) {
                        case 'style-2':
                            $html .=    '<div class="header-product-tab">
                                        <div class="row">
                                            <div class="col-md-3 col-sm-3 col-xs-12">
                                                <h2 class="title">'.$tab_title_text.'</h2>
                                            </div>
                                            <div class="col-md-9 col-sm-9 col-xs-12">
                                                <div class="list-tab-title">
                                                    '.$tab_title_html.'
                                                </div>
                                            </div>
                                        </div>
                                    </div>';
                            break;

                        case 'style-3':
                            $el_slider = 'home-directnav';
                            $html .=    '<div class="nav-tabs-icon">
                                            '.$tab_title_html.'
                                        </div>';
                            break;
                        
                        default:
                            $html .=    '<div class="nav-tabs-default">
                                        '.$tab_title_html.'
                                    </div>';
                            break;
                    }
                    $html .=    '<div class="product-grid tab-content">';
                    $ccount = 1;$position = (int)$position;
                    parse_str( urldecode( $adv_grid ), $data);
                    if(is_array($data)){                        
                        $new_data = array();
                        $k = 1;
                        foreach ($data as $value) {
                            $new_data[$k] = $value;
                            $k++;
                        }
                        $data = $new_data;
                    }
                    foreach ($cats as $cat_id) {
                        $f_class = '';
                        if($ccount == 1) $f_class = 'active';
                        $term = get_term_by( 'slug',$cat_id, 'product_cat' );
                        $args['tax_query'] = array();
                        $args['tax_query'][]=array(
                                                'taxonomy'=>'product_cat',
                                                'field'=>'slug',
                                                'terms'=> $cat_id
                                            );
                        $product_query = new WP_Query($args);
                        $count_query = $product_query->post_count;
                        $html .= '<div role="tabpanel" class="tab-pane '.$f_class.'" id="'.$pre.$term->slug.'">';
                        
                        if($tab_style == 'slider') $html .= '<div class="product-tab-slider '.$el_slider.'"><div class="wrap-item">';
                        else $html .= '<ul class="list-product row list-unstyled">';
                        $count = 1;$first_slider = true;$item_slider = 6;
                        if($product_query->have_posts()) {
                            while($product_query->have_posts()) {
                                $product_query->the_post();
                                global $product,$post;
                                $thumb_html = $count_down_html = '';
                                if(!isset($data[$ccount]['image'])) $item_slider = 7;
                                if($position < 1) $item_slider = 8;
                                if(!$first_slider) $item_slider = 8;
                                if($tab_style == 'slider' && $count % $item_slider == 1 && $count == 9 && $position < 1){
                                    $html .= '<div class="item"><ul class="list-product row list-unstyled '.$item_slider.'-item">';
                                }
                                if($tab_style == 'slider' && $count % $item_slider == 1 && $count != 9){
                                    $html .= '<div class="item"><ul class="list-product row list-unstyled '.$item_slider.'-item">';
                                    if($count > $item_slider){
                                        $item_slider = 8;
                                        $first_slider = false;
                                    }
                                }
                                if($count == $position){
                                    if(isset($data[$ccount]['image'])){
                                        $thumb_html = wp_get_attachment_image($data[$ccount]['image'],array(570,334),0,array('class'=>'img-responsive'));
                                        $s_price = '<div class="info-price"><span>'.$data[$ccount]['price'].'</span></div>';
                                        $s_link = $data[$ccount]['link'];
                                        $s_title = $data[$ccount]['title'];
                                        $s_label = $data[$ccount]['label'];
                                        if(!empty($data[$ccount]['time'])){
                                            $s_price = '<div class="info-sale"><span>'.$data[$ccount]['price'].'</span></div>'; 
                                            $count_down_html = '<div class="hotdeal-countdown" data-date="'.$data[$ccount]['time'].'"></div>';
                                        }
                                    }
                                    else{
                                        if(has_post_thumbnail(get_the_ID())) $thumb_html = get_the_post_thumbnail(get_the_ID(),array(570,334),array('class'=>'img-responsive'));
                                        $s_price = '<div class="info-price">'.$product->get_price_html().'</div>';
                                        $s_link = get_the_permalink();
                                        $s_title = get_the_title();
                                        $s_label = esc_html__("Shop Now","bigc");
                                    }
                                    $html .=    '<li class="col-md-6 col-sm-6 col-xs-12 '.$item_slider.'-item">
                                                    <div class="item-product item-product-leading">
                                                        <div class="item-product-thumb">
                                                            <a href="'.esc_url($s_link).'" class="product-thumb-link">
                                                                '.$thumb_html.'
                                                            </a>';
                                    if(isset($data[$ccount]['image'])){
                                        // $html .=            '<div class="product-extra-mask">
                                        //                         <div class="product-extra-link"></div>
                                        //                     </div>';
                                    }
                                    else{
                                        $html .= sv_product_box_hover();
                                    }
                                    $html .=            '</div>
                                                        <div class="item-product-info">
                                                            '.$s_price.'
                                                            <h3 class="sub-title"><a href="'.esc_url($s_link).'">'.$s_title.'</a></h3>';
                                    $html .=                $count_down_html;
                                    if(!empty($s_label)) $html .= '<a href="'.esc_url($s_link).'" class="readmore">'.$s_label.'</a>';
                                    $html .=            '</div>
                                                    </div>
                                                </li>';
                                    if(isset($data[$ccount]['image'])){
                                        if(has_post_thumbnail(get_the_ID())) $thumb_html = get_the_post_thumbnail(get_the_ID(),array(270,270),array('class'=>'img-responsive'));
                                        $html .=    '<li class="col-md-3 col-sm-6 col-xs-12 '.$item_slider.'-item">
                                                        <div class="item-product">
                                                            <div class="item-product-thumb">
                                                                <a href="'.get_the_permalink().'" class="product-thumb-link">
                                                                    '.$thumb_html.'
                                                                </a>
                                                                '.sv_product_box_hover().'
                                                                '.sv_get_meta_product($show_meta).'
                                                            </div>
                                                            <div class="item-product-info">
                                                                <h3 class="title-product"><a href="'.get_the_permalink().'">'.get_the_title().'</a></h3>
                                                                <div class="info-price">
                                                                    '.$product->get_price_html().'
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </li>';
                                    }
                                }
                                else{
                                    if(has_post_thumbnail(get_the_ID())) $thumb_html = get_the_post_thumbnail(get_the_ID(),array(270,270),array('class'=>'img-responsive'));
                                    $html .=    '<li class="col-md-3 col-sm-6 col-xs-12 '.$item_slider.'-item">
                                                    <div class="item-product">
                                                        <div class="item-product-thumb">
                                                            <a href="'.get_the_permalink().'" class="product-thumb-link">
                                                                '.$thumb_html.'
                                                            </a>
                                                            '.sv_product_box_hover().'
                                                            '.sv_get_meta_product($show_meta).'
                                                        </div>
                                                        <div class="item-product-info">
                                                            <h3 class="title-product"><a href="'.get_the_permalink().'">'.get_the_title().'</a></h3>
                                                            <div class="info-price">
                                                                '.$product->get_price_html().'
                                                            </div>
                                                        </div>
                                                    </div>
                                                </li>';
                                }
                                if($tab_style == 'slider' && ($count % $item_slider == 0 || $count == $count_query) && $count != 8 ){
                                    $html .= '</ul></div>';
                                }
                                if($tab_style == 'slider' && $count == 8 && $position < 1 ){
                                    $html .= '</ul></div>';
                                }
                                $count++;
                            }
                        }
                        if($tab_style == 'slider') $html .=    '</div></div>';
                        else $html .=    '</ul>';
                        $html .= '</div>';
                        $ccount++;
                    }                    
                    $html .= '</div>';
                }
                break;
        }
        wp_reset_postdata();
        return $html;
    }
}

stp_reg_shortcode('sv_product_list','sv_vc_product_list');
add_action( 'vc_build_admin_page','sv_add_list_product',10,100 );
if ( ! function_exists( 'sv_add_list_product' ) ) {
    function sv_add_list_product(){
        vc_map( array(
            "name"      => esc_html__("SV Product list", 'bigc'),
            "base"      => "sv_product_list",
            "icon"      => "icon-st",
            "category"  => '7Up-theme',
            "params"    => array(
                array(
                    'heading'     => esc_html__( 'Style', 'bigc' ),
                    'type'        => 'dropdown',
                    'description' => esc_html__( 'Choose style to display.', 'bigc' ),
                    'param_name'  => 'style',
                    'value'       => array(
                        esc_html__('Grid','bigc') => 'grid',
                        esc_html__('Grid 2','bigc') => 'grid-2',
                        esc_html__('Tab Category','bigc') => 'tab-cate-grid',
                        esc_html__('Tab Category 2','bigc') => 'tab-cate-grid-2',
                        esc_html__('Hot deal','bigc') => 'hot-deal',
                        esc_html__('Featured Style','bigc') => 'featured-product',
                        )
                ),
                array(
                    'heading'     => esc_html__( 'Tab title', 'bigc' ),
                    'type'        => 'dropdown',
                    'description' => esc_html__( 'Choose style to display.', 'bigc' ),
                    'param_name'  => 'tab_title',
                    'value'       => array(
                        esc_html__('Default','bigc') => 'default',
                        esc_html__('Style 2','bigc') => 'style-2',
                        esc_html__('Style 3','bigc') => 'style-3',
                        ),
                    'edit_field_class'=>'vc_col-sm-6 vc_column',
                    'dependency'  => array(
                        'element'   => 'style',
                        'value'   => array('tab-cate-grid','tab-cate-grid-2'),
                        )
                ),
                array(
                    'heading'     => esc_html__( 'Tab style', 'bigc' ),
                    'type'        => 'dropdown',
                    'description' => esc_html__( 'Choose style to display.', 'bigc' ),
                    'param_name'  => 'tab_style',
                    'value'       => array(
                        esc_html__('Normal','bigc') => 'normal',
                        esc_html__('Slider','bigc') => 'slider',
                        ),
                    'edit_field_class'=>'vc_col-sm-6 vc_column',
                    'dependency'  => array(
                        'element'   => 'style',
                        'value'   => array('tab-cate-grid','tab-cate-grid-2'),
                        )
                ),
                array(
                    'heading'     => esc_html__( 'Tab block text', 'bigc' ),
                    'type'        => 'textfield',
                    'param_name'  => 'tab_title_text',
                    'dependency'  => array(
                        'element'   => 'tab_title',
                        'value'     => 'style-2',
                        )
                ),
                array(
                    'heading'     => esc_html__( 'Grid style', 'bigc' ),
                    'type'        => 'dropdown',
                    'description' => esc_html__( 'Choose style to display.', 'bigc' ),
                    'param_name'  => 'grid_style',
                    'value'       => array(
                        esc_html__('Normal','bigc') => 'normal',
                        esc_html__('Slider','bigc') => 'slider',
                        ),
                    'dependency'  => array(
                        'element'   => 'style',
                        'value'   => array('grid','grid-2'),
                        )
                ),
                array(
                    'heading'     => esc_html__( 'Position', 'bigc' ),
                    'type'        => 'textfield',
                    'description' => esc_html__( 'Set position for advantage in grid(enter number). Only Grid 2 and Tab Category 2. Default is 2.', 'bigc' ),
                    'param_name'  => 'position',
                    'group'       => esc_html__( 'Advanced', 'bigc' ),
                    'dependency'  => array(
                        'element'   => 'style',
                        'value'   => array('grid-2','tab-cate-grid-2'),
                        )
                ),
                array(
                    'heading'     => esc_html__( 'Grid Advantage', 'bigc' ),
                    'type'        => 'add_image_adv',
                    'param_name'  => 'adv_grid',
                    'description' => esc_html__( 'Only Grid 2 and Tab Category 2.', 'bigc' ),
                    'group'       => esc_html__( 'Advanced', 'bigc' ),
                    'dependency'  => array(
                        'element'   => 'style',
                        'value'   => array('grid-2','tab-cate-grid-2'),
                        )
                ),
                array(
                    'heading'     => esc_html__( 'Tab Icon', 'bigc' ),
                    'type'        => 'add_icon_cat',
                    'param_name'  => 'icon_cat',
                    'description' => esc_html__( 'Only Tab Category 2.', 'bigc' ),
                    'group'       => esc_html__( 'Icon', 'bigc' ),
                    'dependency'  => array(
                        'element'   => 'tab_title',
                        'value'   => array('style-3'),
                        )
                ),
                array(
                    'heading'     => esc_html__( 'Number', 'bigc' ),
                    'type'        => 'textfield',
                    'description' => esc_html__( 'Enter number of product. Default is 8.', 'bigc' ),
                    'param_name'  => 'number',
                ),
                array(
                    'heading'     => esc_html__( 'Product Type', 'bigc' ),
                    'type'        => 'dropdown',
                    'param_name'  => 'product_type',
                    'value' => array(
                        esc_html__('Latest Products','bigc')    => 'latest',
                        esc_html__('Featured Products','bigc')  => 'featured',
                        esc_html__('Best Sellers','bigc')       => 'bestsell',
                        esc_html__('On Sale','bigc')            => 'onsale',
                        esc_html__('Top rate','bigc')           => 'toprate',
                        esc_html__('Most view','bigc')          => 'mostview',
                    ),
                    'description' => esc_html__( 'Select Product View Type', 'bigc' ),
                ),
                array(
                    'holder'     => 'div',
                    'heading'     => esc_html__( 'Product Categories', 'bigc' ),
                    'type'        => 'checkbox',
                    'param_name'  => 'cats',
                    'value'       => sv_list_taxonomy('product_cat',false)
                ),
                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__( 'Order By', 'bigc' ),
                    'value' => array(
                        esc_html__('Date','bigc')  => 'date',
                        esc_html__('Rand','bigc')  => 'rand',
                        esc_html__('Name','bigc')  => 'title',
                        esc_html__('Price','bigc') => 'price',
                    ),
                    'param_name' => 'orderby',
                    'description' => esc_html__( 'Select Orderby Type ', 'bigc' ),
                    'edit_field_class'=>'vc_col-sm-6 vc_column',
                ),
                array(
                    'heading'     => esc_html__( 'Order', 'bigc' ),
                    'type'        => 'dropdown',
                    'param_name'  => 'order',
                    'value' => array(                   
                        esc_html__('Desc','bigc')  => 'DESC',
                        esc_html__('Asc','bigc')  => 'ASC',
                    ),
                    'description' => esc_html__( 'Select Order Type ', 'bigc' ),
                    'edit_field_class'=>'vc_col-sm-6 vc_column',
                ),
                array(
                    'heading'     => esc_html__( 'Show Meta Product', 'bigc' ),
                    'type'        => 'dropdown',
                    'param_name'  => 'show_meta',
                    'value' => array(                   
                        esc_html__('No','bigc')  => 'no',
                        esc_html__('Yes','bigc')  => 'yes',
                    ),
                    'description' => esc_html__( 'Show meta product. Contain new and sale box. Choose Yes to show.', 'bigc' ),
                )
            )
        ));
    }
}