<?php
/**
 * Created by Sublime Text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:20 AM
 */
 
/******************************************Core Function******************************************/
//Get option
if(!function_exists('sv_get_option')){
	function sv_get_option($key,$default=NULL)
    {
        if(function_exists('ot_get_option'))
        {
            return ot_get_option($key,$default);
        }

        return $default;
    }
}
//Autoload folder
if(!function_exists('sv_load_files')){
    function sv_load_files($folder)
    {
        //Auto load widget
        $files=glob(get_template_directory()."/"."7upframe/".$folder."/*.php");

        // Auto load all file
        if(!empty($files)){
            foreach ($files as $filename)
            {
                load_template($filename);
            }
        }

    }
}

//Get list header page
if(!function_exists('sv_list_header_page'))
{
    function sv_list_header_page()
    {
        global $post;
        $page_list = array();
        $page_list[] = array(
            'value' => '',
            'label' => esc_html__('-- Choose One --','bigc')
        );
        $args= array(
        'post_type' => 'page',
        'posts_per_page' => -1, 
        );
        $query = new WP_Query($args);
        if($query->have_posts()): while ($query->have_posts()):$query->the_post();
            if (strpos($post->post_content, '[sv_logo') ||  strpos($post->post_content, '[sv_menu')) {
                $page_list[] = array(
                    'value' => $post->ID,
                    'label' => $post->post_title
                );
            }
            endwhile;
        endif;
        wp_reset_postdata();
        return $page_list;
    }
}

//Get list sidebar
if(!function_exists('sv_get_sidebar_ids'))
{
    function sv_get_sidebar_ids($for_optiontree=false)
    {
        global $wp_registered_sidebars;
        $r=array();
        $r[]=esc_html__('--Select--','bigc');
        if(!empty($wp_registered_sidebars)){
            foreach($wp_registered_sidebars as $key=>$value)
            {

                if($for_optiontree){
                    $r[]=array(
                        'value'=>$value['id'],
                        'label'=>$value['name']
                    );
                }else{
                    $r[$value['id']]=$value['name'];
                }
            }
        }
        return $r;
    }
}

//Get order list
if(!function_exists('sv_get_order_list'))
{
    function sv_get_order_list($current=false,$extra=array(),$return='array')
    {
        $default=array(
            'none'=>esc_html__('None','bigc'),
            'ID'=>esc_html__('Post ID','bigc'),
            'author'=>esc_html__('Author','bigc'),
            'title'=>esc_html__('Post Title','bigc'),
            'name'=>esc_html__('Post Name','bigc'),
            'date'=>esc_html__('Post Date','bigc'),
            'modified'=>esc_html__('Last Modified Date','bigc'),
            'parent'=>esc_html__('Post Parent','bigc'),
            'rand'=>esc_html__('Random','bigc'),
            'comment_count'=>esc_html__('Comment Count','bigc'),
        );

        if(!empty($extra) and is_array($extra))
        {
            $default=array_merge($default,$extra);
        }

        if($return=="array")
        {
            return $default;
        }elseif($return=='option')
        {
            $html='';
            if(!empty($default)){
                foreach($default as $key=>$value){
                    $selected=selected($key,$current,false);
                    $html.="<option {$selected} value='{$key}'>{$value}</option>";
                }
            }
            return $html;
        }
    }
}

// Get sidebar
if(!function_exists('sv_get_sidebar'))
{
    function sv_get_sidebar()
    {
        $default=array(
            'position'=>'right',
            'id'      =>'blog-sidebar'
        );

        return apply_filters('sv_get_sidebar',$default);
    }
}

//Favicon
if(!function_exists('sv_load_favicon'))
{
    add_action( 'wp_head','sv_load_favicon');
    add_action('login_head', 'sv_load_favicon');
    add_action('admin_head', 'sv_load_favicon');
    function sv_load_favicon()
    {
        $value = sv_get_option('favicon');
        $favicon = (isset($value) && !empty($value))?$value:false;
        if($favicon)
            echo '<link rel="Shortcut Icon" href="' . esc_url( $favicon ) . '" type="image/x-icon" />' . "\n";
    }
}

//Fill css background
if(!function_exists('sv_fill_css_background'))
{
    function sv_fill_css_background($data)
    {
        $string = '';
        if(!empty($data['background-color'])) $string .= 'background-color:'.$data['background-color'].';'."\n";
        if(!empty($data['background-repeat'])) $string .= 'background-repeat:'.$data['background-repeat'].';'."\n";
        if(!empty($data['background-attachment'])) $string .= 'background-attachment:'.$data['background-attachment'].';'."\n";
        if(!empty($data['background-position'])) $string .= 'background-position:'.$data['background-position'].';'."\n";
        if(!empty($data['background-size'])) $string .= 'background-size:'.$data['background-size'].';'."\n";
        if(!empty($data['background-image'])) $string .= 'background-image:url("'.$data['background-image'].'");'."\n";
        if(!empty($string)) return SV_Assets::build_css($string);
        else return false;
    }
}

// Get list menu
if(!function_exists('sv_list_menu_name'))
{
    function sv_list_menu_name()
    {
        $menu_nav = wp_get_nav_menus();
        $menu_list = array('Default' => '');
        if(is_array($menu_nav) && !empty($menu_nav))
        {
            foreach($menu_nav as $item)
            { 
                if(is_object($item))
                {
                    $menu_list[$item->name] = $item->slug;
                }
            }
        }
        return $menu_list;
    }
}

//Display BreadCrumb
if(!function_exists('sv_display_breadcrumb'))
{
    function sv_display_breadcrumb()
    {
        $breadcrumb = sv_get_value_by_id('sv_show_breadrumb','on');
        $breadcrumb_style = sv_get_value_by_id('sv_breadrumb_style');
        if(empty($breadcrumb)) $breadcrumb = 'on';
        if($breadcrumb == 'on'){ 
            $b_class = sv_fill_css_background(sv_get_option('sv_bg_breadcrumb'));
            ?>
            <!-- <div class="row"> -->
                <div class="bread-crumb <?php echo esc_attr($b_class)?> <?php echo esc_attr($breadcrumb_style)?>">
                    <?php 
                        if(function_exists('bcn_display')) bcn_display();
                        else sv_breadcrumb();
                    ?>
                </div>
            <!-- </div> -->
        <?php }
    }
}

//Custom BreadCrumb
if(!function_exists('sv_breadcrumb'))
{
    function sv_breadcrumb() {
        global $post;
        $year = 'Y';
        if (!is_home() || (is_home() && !is_front_page())) {
            echo '<a href="';
            echo esc_url(home_url('/'));
            echo '">';
            echo esc_html__('Home','bigc');
            echo '</a>'.' <span class="lnr lnr-chevron-right"></span> ';
            if(is_home() && !is_front_page()){
                echo '<span>'.esc_html__('Blog','bigc').'</span>'; 
            }
            if (is_category() || is_single()) {
                the_category(' <span class="lnr lnr-chevron-right"></span> ');
                if (is_single()) {
                    echo ' <span class="lnr lnr-chevron-right"></span><span> ';
                    the_title();
                    echo '</span>';
                }
            } elseif (is_page()) {
                if($post->post_parent){
                    $anc = get_post_ancestors( get_the_ID() );
                    $title = get_the_title();
                    foreach ( $anc as $ancestor ) {
                        $output = '<a href="'.get_permalink($ancestor).'" title="'.get_the_title($ancestor).'">'.get_the_title($ancestor).'</a> <span class="lnr lnr-chevron-right"></span><span> ';
                    }
                    echo balanceTags($output);
                    echo '<span> '.$title.'</span>';
                } else {
                    echo '<span> '.get_the_title().'</span>';
                }
            }
        }
        elseif (is_tag()) {single_tag_title();}
        elseif (is_day()) {echo"<span>".esc_html_e("Archive for ","bigc"); the_time(get_option( 'date_format' )); echo'</span>';}
        elseif (is_month()) {echo"<span>".esc_html_e("Archive for ","bigc"); the_time('F, Y'); echo'</span>';}
        elseif (is_year()) {echo"<span>".esc_html_e("Archive for ","bigc"); the_time($year); echo'</span>';}
        elseif (is_author()) {echo"<span>".esc_html_e("Author Archive ","bigc"); echo'</span>';}
        elseif (isset($_GET['paged']) && !empty($_GET['paged'])) {echo "<span>".esc_html_e("Blog Archives","bigc"); echo'</span>';}
        elseif (is_search()) {echo"<span>".esc_html_e("Search Results","bigc"); echo'</span>';}
    }
}

//Get page value by ID
if(!function_exists('sv_get_value_by_id'))
{   
    function sv_get_value_by_id($key)
    {
        if(!empty($key)){
            $id = get_the_ID();
            if(is_front_page() && is_home()) $id = (int)get_option( 'page_on_front' );
            if(!is_front_page() && is_home()) $id = (int)get_option( 'page_for_posts' );
            $value = get_post_meta($id,$key,true);
            if(empty($value)) $value = sv_get_option($key);
            return $value;
        }
        else return 'Missing a variable of this funtion';
    }
}

//Check woocommerce page
if (!function_exists('sv_is_woocommerce_page')) {
    function sv_is_woocommerce_page() {
        if(  function_exists ( "is_woocommerce" ) && is_woocommerce()){
                return true;
        }
        $woocommerce_keys   =   array ( "woocommerce_shop_page_id" ,
                                        "woocommerce_terms_page_id" ,
                                        "woocommerce_cart_page_id" ,
                                        "woocommerce_checkout_page_id" ,
                                        "woocommerce_pay_page_id" ,
                                        "woocommerce_thanks_page_id" ,
                                        "woocommerce_myaccount_page_id" ,
                                        "woocommerce_edit_address_page_id" ,
                                        "woocommerce_view_order_page_id" ,
                                        "woocommerce_change_password_page_id" ,
                                        "woocommerce_logout_page_id" ,
                                        "woocommerce_lost_password_page_id" ) ;
        foreach ( $woocommerce_keys as $wc_page_id ) {
                if ( get_the_ID () == get_option ( $wc_page_id , 0 ) ) {
                        return true ;
                }
        }
        if(function_exists('is_woocommerce')){
            if(is_woocommerce()) return true;
        }
        return false;
    }
}

//navigation
if(!function_exists('sv_paging_nav'))
{
    function sv_paging_nav()
    {
        // Don't print empty markup if there's only one page.
        if ( $GLOBALS['wp_query']->max_num_pages < 2 ) {
            return;
        }

        $paged        = get_query_var( 'paged' ) ? intval( get_query_var( 'paged' ) ) : 1;
        $pagenum_link = html_entity_decode( get_pagenum_link() );
        $query_args   = array();
        $url_parts    = explode( '?', $pagenum_link );

        if ( isset( $url_parts[1] ) ) {
            wp_parse_str( $url_parts[1], $query_args );
        }

        $pagenum_link = remove_query_arg( array_keys( $query_args ), $pagenum_link );
        $pagenum_link = trailingslashit( $pagenum_link ) . '%_%';

        $format  = $GLOBALS['wp_rewrite']->using_index_permalinks() && ! strpos( $pagenum_link, 'index.php' ) ? 'index.php/' : '';
        $format .= $GLOBALS['wp_rewrite']->using_permalinks() ? user_trailingslashit( 'page/%#%', 'paged' ) : '?paged=%#%';

        // Set up paginated links.
        $links = paginate_links( array(
            'base'     => $pagenum_link,
            'format'   => $format,
            'total'    => $GLOBALS['wp_query']->max_num_pages,
            'current'  => $paged,
            'mid_size' => 1,
            'add_args' => array_map( 'urlencode', $query_args ),
            'prev_text' => esc_html__( '&larr;', 'bigc' ),
            'next_text' => esc_html__( '&rarr;', 'bigc' ),
        ) );

        if ($links) : ?>
            <div class="post-pagi-nav">
                <?php echo balanceTags($links); ?>
            </div>
        <?php endif;
    }
}

//Set post view
if(!function_exists('sv_set_post_view'))
{
    function sv_set_post_view($postID=false)
    {
        if(!$postID) $postID = get_the_ID();

        $user_ip = $_SERVER['REMOTE_ADDR']; //retrieve the current IP address of the visitor
        $key = $user_ip . 'x' . $postID; //combine post ID & IP to form unique key
        $value = array($user_ip, $postID); // store post ID & IP as separate values (see note)
        $visited = get_transient($key); //get transient and store in variable

        //check to see if the Post ID/IP ($key) address is currently stored as a transient
        if ( false === ( $visited ) ) {

            //store the unique key, Post ID & IP address for 12 hours if it does not exist
            set_transient( $key, $value, 60*60*12 );

            // now run post views function
            $count_key = 'post_views';
            $count = get_post_meta($postID, $count_key, true);
            if($count==''){
                $count = 0;
                delete_post_meta($postID, $count_key);
                add_post_meta($postID, $count_key, '0');
            }else{
                $count++;
                update_post_meta($postID, $count_key, $count);
            }
        }
    }
}

//Get post view
if(!function_exists('sv_get_post_view'))
{
    function sv_get_post_view($post_id=false)
    {
        if(!$post_id) $post_id=get_the_ID();

        return (int)get_post_meta($post_id,'post_views',true);
    }
}

//remove attr embed
if(!function_exists('sv_remove_w3c')){
    function sv_remove_w3c($embed_code){
        $embed_code=str_replace('webkitallowfullscreen','',$embed_code);
        $embed_code=str_replace('mozallowfullscreen','',$embed_code);
        $embed_code=str_replace('frameborder="0"','',$embed_code);
        $embed_code=str_replace('frameborder="no"','',$embed_code);
        $embed_code=str_replace('scrolling="no"','',$embed_code);
        $embed_code=str_replace('&','&amp;',$embed_code);
        return $embed_code;
    }
}

// MetaBox
if(!function_exists('sv_display_metabox'))
{
    function sv_display_metabox($type ='') {
        ?>
        <p class="meta-post">
            <label><?php esc_html_e('Post by', 'bigc');?>:</label>
            <a class="post-author" href="<?php echo get_author_posts_url(get_the_author_meta('ID')); ?>"><?php echo get_the_author(); ?></a>
            <span class="post-date">- <?php esc_html_e('on', 'bigc');?> <?php the_time(get_option( 'date_format' ))?></span>
        </p>
        <?php if(is_front_page() && is_home()):?>
            <p class="meta-post last">
                <label><?php esc_html_e('In', 'bigc');?>:</label>
                <?php $cats = get_the_category_list(', ');?>
                <?php if($cats) echo balanceTags($cats); else _e("No Category",'bigc');?>            
                <label>|<?php esc_html_e('Tags', 'bigc');?>:</label>
                <?php $cats = get_the_tag_list(' ',', ',' ');?>
                <?php if($cats) echo balanceTags($cats); else _e("No Tag",'bigc');?>
                |<a href="<?php echo esc_url( get_comments_link() ); ?>">
                    <?php 
                    if(get_comments_number()>1) _e('Comments', 'bigc') ;
                    else _e('0 Comment', 'bigc') ;
                    ?>
                </a>
            </p>
        <?php endif?>
    <?php
    }
}
/***************************************END Core Function***************************************/


/***************************************Add Theme Function***************************************/
if(!function_exists('sv_getBrowser')){
    function sv_getBrowser() 
    { 
        $u_agent = $_SERVER['HTTP_USER_AGENT'];
        $bname = 'Unknown';
        $platform = 'Unknown';
        $version= "";

        //First get the platform?
        if (preg_match('/linux/i', $u_agent)) {
            $platform = 'linux';
        }
        elseif (preg_match('/macintosh|mac os x/i', $u_agent)) {
            $platform = 'mac';
        }
        elseif (preg_match('/windows|win32/i', $u_agent)) {
            $platform = 'windows';
        }
        
        // Next get the name of the useragent yes seperately and for good reason
        if(preg_match('/MSIE/i',$u_agent) && !preg_match('/Opera/i',$u_agent)) 
        { 
            $bname = 'Internet Explorer'; 
            $ub = "MSIE"; 
        } 
        elseif(preg_match('/Firefox/i',$u_agent)) 
        { 
            $bname = 'Mozilla Firefox'; 
            $ub = "Firefox"; 
        } 
        elseif(preg_match('/Chrome/i',$u_agent)) 
        { 
            $bname = 'Google Chrome'; 
            $ub = "Chrome"; 
        } 
        elseif(preg_match('/Safari/i',$u_agent)) 
        { 
            $bname = 'Apple Safari'; 
            $ub = "Safari"; 
        } 
        elseif(preg_match('/Opera/i',$u_agent)) 
        { 
            $bname = 'Opera'; 
            $ub = "Opera"; 
        } 
        elseif(preg_match('/Netscape/i',$u_agent)) 
        { 
            $bname = 'Netscape'; 
            $ub = "Netscape"; 
        } 
        
        // finally get the correct version number
        $known = array('Version', $ub, 'other');
        $pattern = '#(?<browser>' . join('|', $known) .
        ')[/ ]+(?<version>[0-9.|a-zA-Z.]*)#';
        if (!preg_match_all($pattern, $u_agent, $matches)) {
            // we have no matching number just continue
        }
        
        // see how many we have
        $i = count($matches['browser']);
        if ($i != 1) {
            //we will have two since we are not using 'other' argument yet
            //see if version is before or after the name
            if (strripos($u_agent,"Version") < strripos($u_agent,$ub)){
                $version= $matches['version'][0];
            }
            else {
                $version= $matches['version'][1];
            }
        }
        else {
            $version= $matches['version'][0];
        }
        
        // check if we have a number
        if ($version==null || $version=="") {$version="?";}
        
        return array(
            'userAgent' => $u_agent,
            'name'      => $bname,
            'version'   => $version,
            'platform'  => $platform,
            'pattern'    => $pattern
        );
    }
}
//Compare URL
if(!function_exists('sv_compare_url')){
    function sv_compare_url($ajax = false){        
        if(!$ajax){
            global $yith_woocompare;
            $cp_link = $yith_woocompare->obj->add_product_url( get_the_ID());
        }
        else{
            $compare = new YITH_Woocompare_Frontend();
            $cp_link = $compare->add_product_url( get_the_ID());
        }
        $browser = sv_getBrowser();
        if(strpos($browser['name'],'Safari')) $safari = false;
        else $safari = true;
        if(class_exists('YITH_Woocompare_Frontend') && $safari){            
            $html = '<a href="'.esc_url($cp_link).'" class="product-compare compare" data-product_id="'.get_the_ID().'"><span class="lnr lnr-sync"></span></a>';
            return $html;
        }
    }
}

if(!function_exists('sv_product_box_hover')){
    function sv_product_box_hover($echo = false){
        global $product;
        $button_html =  apply_filters( 'woocommerce_loop_add_to_cart_link',
                            sprintf( '<a href="%s" rel="nofollow" data-product_id="%s" data-product_sku="%s" data-quantity="%s" class="%s product_type_%s"><span class="lnr lnr-cart"></span></a>',
                                esc_url( $product->add_to_cart_url() ),
                                esc_attr( $product->id ),
                                esc_attr( $product->get_sku() ),
                                esc_attr( isset( $quantity ) ? $quantity : 1 ),
                                $product->is_purchasable() && $product->is_in_stock() ? 'add_to_cart_button product-add-cart' : '',
                                esc_attr( $product->product_type )
                            ),
                        $product );
        $html_wl = '';
        if(class_exists('YITH_WCWL_Init')) $html_wl = '<a href="'.str_replace('&', '&amp;',add_query_arg( 'add_to_wishlist', get_the_ID() )).'" class="add_to_wishlist product-wishlist" rel="nofollow" data-product-id="'.get_the_ID().'"><span class="lnr lnr-heart"></span></a>';
        $html =     '<div class="product-extra-mask product">
                        <div class="product-extra-link">
                            '.sv_compare_url(true).'
                            '.$button_html.'
                            '.$html_wl.'
                            <a data-product-id="'.get_the_id().'" href="'.get_the_permalink().'" class="product-quick-view fancybox"><span class="lnr lnr-magnifier"></span></a>
                        </div>
                    </div>';
        if($echo) echo balanceTags($html);
        else return $html;
    }
}
//Product meta link filter
if(!function_exists('sv_product_link_filter')){
    function sv_product_link_filter($style=''){
        global $product;
        $html = '';
        $button_html =  apply_filters( 'woocommerce_loop_add_to_cart_link',
                            sprintf( '<a href="%s" rel="nofollow" data-product_id="%s" data-product_sku="%s" data-quantity="%s" class="%s product_type_%s"></a>',
                                esc_url( $product->add_to_cart_url() ),
                                esc_attr( $product->id ),
                                esc_attr( $product->get_sku() ),
                                esc_attr( isset( $quantity ) ? $quantity : 1 ),
                                $product->is_purchasable() && $product->is_in_stock() ? 'add_to_cart_button product-add-cart' : '',
                                esc_attr( $product->product_type )
                            ),
                        $product );
        $html_wl = '';
        if(class_exists('YITH_WCWL_Init')) $html_wl = '<a href="'.str_replace('&', '&amp;',add_query_arg( 'add_to_wishlist', get_the_ID() )).'" class="add_to_wishlist product-wishlist" rel="nofollow" data-product-id="'.get_the_ID().'"><span class="lnr lnr-heart"></span></a>';
        if($style == 'style2'){
            $button_html =  apply_filters( 'woocommerce_loop_add_to_cart_link',
                            sprintf( '<a href="%s" rel="nofollow" data-product_id="%s" data-product_sku="%s" data-quantity="%s" class="%s product_type_%s">%s</a>',
                                esc_url( $product->add_to_cart_url() ),
                                esc_attr( $product->id ),
                                esc_attr( $product->get_sku() ),
                                esc_attr( isset( $quantity ) ? $quantity : 1 ),
                                $product->is_purchasable() && $product->is_in_stock() ? 'add_to_cart_button product-add-cart' : '',
                                esc_attr( $product->product_type ),
                                esc_html( $product->add_to_cart_text() )
                            ),
                        $product );
            $html .=    '<div class="cart-wishlist-compare2">
                            '.sv_compare_url(true).'
                            '.$button_html.'
                            '.$html_wl.'
                        </div>';
        }
        else{
            $html .=    '<div class="cart-wishlist-compare">
                            '.$button_html.'
                            '.$html_wl.'
                            '.sv_compare_url(true).'
                        </div>';
        }
        return $html;
    }
}
// get list taxonomy
if(!function_exists('sv_list_taxonomy'))
{
    function sv_list_taxonomy($taxonomy,$show_all = true)
    {
        if($show_all) $list = array('--Select--' => '');
        else $list = array();
        if(!isset($taxonomy) || empty($taxonomy)) $taxonomy = 'category';
        $tags = get_terms('product_cat');
        if(is_array($tags)){
            foreach ($tags as $tag) {
                if(is_object($tag)) $list[$tag->name] = $tag->slug;
            }
        }
        return $list;
    }
}

//search form
if(!function_exists('sv_search_form')){
    function sv_search_form(){ ?>
        <div class="search-form">
            <form method="get" action="<?php echo esc_url( home_url( '/'  ) ); ?>">
                <div class="wrap-toggle-search">
                    <div class="toggle-search-category">
                        <a href="#" class="toggle-category"><span class="lnr lnr-chevron-down"></span></a>
                        <ul class="select-category list-unstyled">
                            <li><a href="#"><?php esc_html_e("All Categories",'bigc');?></a> </li>
                            <?php 
                                $product_cat_list = get_terms('product_cat');
                                if(is_array($product_cat_list) && !empty($product_cat_list)){
                                    foreach ($product_cat_list as $cat) {
                                        echo '<li data-filter="'.$cat->slug.'"><a href="#">'.$cat->name.'</a></li>';
                                    }
                                }
                            ?>
                        </ul>
                    </div>
                    <?php 
                        $search_val = get_search_query();
                        if(empty($search_val)){
                            $search_val = esc_html__("Product, brand...","bigc");
                        }
                    ?>
                    <input type="text" name="s" value="<?php echo esc_attr($search_val);?>" onfocus="if (this.value==this.defaultValue) this.value = ''" onblur="if (this.value=='') this.value = this.defaultValue">
                    <input type="hidden" name="post_type" value="product" />
                    <input class="cat-value" type="hidden" name="product_cat" value="" />
                </div>
                <input class="btn-link-default" type="submit" value="Search">
            </form>
        </div>
    <?php }
}
// Mini cart
if(!function_exists('sv_mini_cart')){
    function sv_mini_cart($echo = false){
        $html = '';
        if ( ! WC()->cart->is_empty() ){
            $count_item = 0; $html = '';
            $html .=  '<ul class="info-list-cart">';                    
            foreach ( WC()->cart->get_cart() as $cart_item_key => $cart_item ) {
                $count_item++;
                $_product     = apply_filters( 'woocommerce_cart_item_product', $cart_item['data'], $cart_item, $cart_item_key );
                $product_id   = apply_filters( 'woocommerce_cart_item_product_id', $cart_item['product_id'], $cart_item, $cart_item_key );
                $product_quantity = woocommerce_quantity_input( array(
                    'input_name'  => "cart[{$cart_item_key}][qty]",
                    'input_value' => $cart_item['quantity'],
                    'max_value'   => $_product->backorders_allowed() ? '' : $_product->get_stock_quantity(),
                    'min_value'   => '0'
                ), $_product, false );
                $thumb_html = '';
                if(has_post_thumbnail($product_id)) $thumb_html = get_the_post_thumbnail($product_id,array(70,70));
                $html .=    '<li class="item-info-cart" data-key="'.$cart_item_key.'">
                                <div class="cart-thumb">
                                    <a href="'.esc_url( $_product->get_permalink( $cart_item )).'" class="cart-thumb">
                                        '.$thumb_html.'
                                    </a>
                                </div>  
                                <div class="wrap-cart-title">
                                    <h3 class="cart-title"><a href="'.esc_url( $_product->get_permalink( $cart_item )).'">'.$_product->get_title().'</a></h3>
                                    <div class="cart-qty"><label>'.esc_html__("Qty","bigc").':</label> <span>'.$cart_item['quantity'].'</span></div>
                                </div>  
                                <div class="wrap-cart-remove">
                                    <a href="#" class="remove-product btn-remove"></a>
                                    <span class="cart-price">'.apply_filters( 'woocommerce_cart_item_price', WC()->cart->get_product_price( $_product ), $cart_item, $cart_item_key ).'</span>
                                </div>  
                            </li>';
            }
            $html .=    '</ul><input id="count-cart-item" type="hidden" value="'.$count_item.'">';
            $html .=    '<div class="total-cart">
                            <label>'.esc_html__("Subtotal","bigc").'</label> <span class="total-price">'.WC()->cart->get_cart_total().'</span>
                        </div>
                        <div class="link-cart">
                            <a href="'.WC()->cart->get_cart_url().'" class="cart-edit">'.esc_html__("edit cart","bigc").'</a>
                            <a href="'.WC()->cart->get_checkout_url().'" class="cart-checkout">'.esc_html__("checkout","bigc").'</a>
                        </div>';
        }
        else $html .= '<ul class="info-list-cart"><li class="item-info-cart"><h3>'.esc_html__("No product in cart","bigc").'</h3></li></ul>';
        if($echo) echo balanceTags($html);
        else return $html;
    }
}
//get type url
if(!function_exists('sv_get_type_url')){
    function sv_get_type_url($type){
        $current_url = $_SERVER["HTTP_HOST"] . $_SERVER["REQUEST_URI"];
        $current_url = str_replace('&type=grid', '', $current_url);
        $current_url = str_replace('?type=grid', '', $current_url);
        $current_url = str_replace('&type=list', '', $current_url);
        $current_url = str_replace('?type=list', '', $current_url);
        if(strpos($current_url,'?') > -1 ){
            $current_url .= '&amp;type='.$type;
        }
        else {
            $current_url .= '?type='.$type;
        }
        return $current_url;
    }
}
//get type url
if(!function_exists('sv_link_product')){
    function sv_link_product($echo = false, $ajax = false){
        $html = '';
        if(class_exists('YITH_WCWL_Init')) $html_wl = '<a href="'.str_replace('&', '&amp;',add_query_arg( 'add_to_wishlist', get_the_ID() )).'" class="add_to_wishlist product-wishlist" rel="nofollow" data-product-id="'.get_the_ID().'"><span class="lnr lnr-heart"></span></a>';
        $html.= '<div class="info-extra">
                    '.$html_wl.'
                    '.sv_compare_url($ajax).'
                </div>';
        if($echo) echo balanceTags($html);
        else return $html;
    }
}
//check sidebar
if(!function_exists('sv_has_sidebar')){
    function sv_has_sidebar(){
        $check = false;
        $sidebar = sv_get_sidebar();
        if($sidebar['position'] != 'no') $check = true;
        else return $check;
    }
}

//custom header append
if(!function_exists('sv_custom_header_append')){
    function sv_custom_header_append(){
        $show = sv_get_value_by_id('sv_show_header_append');
        $list = sv_get_value_by_id('sv_custom_header_append');
        $item = sv_get_value_by_id('sv_show_header_item');
        if($show == 'on'):
        ?>
        <div class="category-slider owl-default">
            <div class="container">
                <div class="row">
                    <div class="sv-slider" data-item="<?php echo esc_attr($item)?>" data-speed="" data-itemres="1,2,3,3" data-animation="" data-nav="owl-default">
                    <?php 
                    if(is_array($list)){
                        foreach ($list as $value) {
                            echo    '<div class="item">
                                        <a href="'.esc_url($value['link']).'" class="thumb-link-default"><img src="'.esc_url($value['image']).'" alt="header-image-item"></a>
                                    </div>';
                        }
                    }
                    ?>
                    </div>
                </div>
            </div>
        </div>
        <?php 
        endif;       
    }
}

//product main detail
if(!function_exists('sv_product_main_detai')){
    function sv_product_main_detai($ajax = false){
        global $post, $product, $woocommerce;
        $thumb_id = array(get_post_thumbnail_id());
        $attachment_ids = $product->get_gallery_attachment_ids();
        $attachment_ids = array_merge($thumb_id,$attachment_ids);
        $ul_block = $bx_block = '';$i = 0;
        foreach ( $attachment_ids as $attachment_id ) {
            $image_link = wp_get_attachment_url( $attachment_id );
            if ( ! $image_link )
                continue;
            $image_title    = esc_attr( get_the_title( $attachment_id ) );
            $image_caption  = esc_attr( get_post_field( 'post_excerpt', $attachment_id ) );
            $image       = wp_get_attachment_image( $attachment_id, array(454,454), 0, $attr = array(
                'title' => $image_title,
                'alt'   => $image_title
                ) );
            $ul_block .= '<li>'.$image.'</li>';
            $bx_block .= '<a data-slide-index="'.$i.'" href="#">'.$image.'</a>';
            $i++;
        }
        ?>
            <div class="row">
                <div class="col-md-6 col-sm-12 col-xs-12">
                    <div class="product-gallery">
                        <div class="clearfix">
                            <ul class="bxslider">
                                <?php echo balanceTags($ul_block)?>
                            </ul>
                            <div id="bx-pager">
                                <?php echo balanceTags($bx_block)?>
                            </div>
                        </div>
                        <ul class="list-inline share-social">
                            <li><a href="http://www.facebook.com/sharer.php?u=<?php echo get_the_permalink();?>"><i class="fa fa-facebook-square"></i></a></li>
                            <li><a href="http://twitthis.com/twit?url=<?php echo get_the_permalink();?>"><i class="fa fa-twitter-square"></i></a></li>
                            <li><a href="https://plus.google.com/share?url=<?php echo get_the_permalink();?>"><i class="fa fa-google-plus-square"></i></a></li>
                            <li><a href="http://pinterest.com/pin/create/button/?url=<?php the_permalink(); ?>&amp;media=<?php if(function_exists('the_post_thumbnail')) echo wp_get_attachment_url(get_post_thumbnail_id()); ?>"><i class="fa fa-pinterest-square"></i></a></li>
                        </ul>
                    </div>
                    <!-- End Product Gallery -->
                </div>
                <div class="col-md-6 col-sm-12 col-xs-12">
                    <div class="info-product-detail">
                        <h2 class="title-product-detail"><?php the_title()?></h2>
                        <!-- <div class="sv-star-rating"> -->
                            <?php echo balanceTags(sv_get_rating_html());?>
                        <!-- </div> -->
                        <p class="desc"><?php echo get_the_excerpt()?></p>
                        <div class="info-price">
                            <?php echo balanceTags($product->get_price_html())?>
                        </div>
                        <?php woocommerce_template_single_add_to_cart()?>
                        <?php sv_link_product(true, $ajax)?>
                    </div>
                </div>
            </div>
        <?php   
    }
}
//Count Down product
if(!function_exists('sv_product_count_down')){
    function sv_product_count_down(){
        $date = get_post_meta(get_the_ID(),'_sale_price_dates_to',true);
        $date = date_i18n( get_option( 'date_format' ), $date );
        $html = '<div class="wrap-deal-countdown">
            <div class="deal-countdown" data-date="'.$date.'"></div>
        </div>';
        return $html;
    }
}
//List Post
if(!function_exists('sv_get_list_post')){
    function sv_get_list_post(){
        $list = array();
        $list[] = array(
            'value' => '',
            'label' => esc_html__('-- Choose One --','bigc')
        );
        $args= array(
        'post_type' => 'post',
        'posts_per_page' => -1, 
        );
        $query = new WP_Query($args);
        global $post;
        if($query->have_posts()): while ($query->have_posts()):$query->the_post();            
            $list[] = array(
                'value' => $post->ID,
                'label' => $post->post_title
            );
            endwhile;
        endif;
        wp_reset_postdata();
        return $list;
    }
}
//List Attribute
if(!function_exists('sv_get_list_attribute')){
    function sv_get_list_attribute($current){
        $html='';
        global $wpdb;
        $attribute_taxonomies = $wpdb->get_results( "SELECT * FROM " . $wpdb->prefix . "woocommerce_attribute_taxonomies" );
        if(!empty($attribute_taxonomies)){
            foreach($attribute_taxonomies as $attr){
                $selected=selected($attr->attribute_name,$current,false);
                $html.="<option {$selected} value='{$attr->attribute_name}'>{$attr->attribute_label}</option>";
            }
        }
        return $html;
    }
}
if(!function_exists('sv_get_rating_html')){
    function sv_get_rating_html(){
        global $product;
        $html = '';
        $star = $product->get_average_rating();
        $width = $star / 5 * 100;
        if($star){
            $html =  '<div class="wrap-star-rating">
                        <div class="inner-star-rating" style="width:'.$width.'%"></div>
                    </div>';
        }
        return $html;
    }
}
if(!function_exists('sv_get_meta_product')){
    function sv_get_meta_product($check){
        global $product,$post;
        $html = '';
        $date_pro=strtotime($post->post_date);
        $date_now=strtotime('now');
        $set_timer = sv_get_option( 'sv_set_time_woo', 30);
        $uppsell=($date_now-$date_pro-$set_timer*24*60*60);
        $from = $product->regular_price;
        $to = $product->price;
        $percent = '';
        if($from != $to && $from > 0){
            $percent = round(($from-$to)/$from*100);
        }
        if($check == 'yes'){
            $html .=     '<div class="product-box-promotion">';
            if($uppsell<0) $html .=  '<span class="new-item">'.esc_html__('new','bigc').'</span>';
            if(!empty($percent)) $html .=         '<span class="sale-item">-'.$percent.'%</span>';
            $html .=     '</div>';
        }
        return $html;
    }
}

//Don't Show popup
session_start();  
if(!isset($_SESSION['dont_show_popup'])) $_SESSION['dont_show_popup'] = false;
add_action( 'wp_ajax_set_dont_show', 'sv_set_dont_show' );
add_action( 'wp_ajax_nopriv_set_dont_show', 'sv_set_dont_show' );
if(!function_exists('sv_set_dont_show')){
    function sv_set_dont_show() {
        $checked = $_POST['checked'];
        if($checked){
            session_start();  
            $_SESSION['dont_show_popup'] = $checked;
        }
        else{
            unset($_SESSION['dont_show_popup']); 
            session_destroy();
        }
    }
}
if(!function_exists('sv_product_filter_attr')){
    function sv_product_filter_attr($cat = true){
        $html = '';
        $html .=    '<div class="box-attr-filter">';        
        if($cat){
            $html .=        '<div class="item-box-attr">
                                <div class="item-attr-title">
                                    <label>'.__("Categories","bigc").'</label>
                                </div>
                                <div class="item-attr-content">
                                    <ul class="attr-list attr-category list-inline" data-key="category">';
            $cats = get_terms('product_cat');
            foreach ($cats as $cat) {            
                if(is_object($cat)) $html .=    '<li><a href="#" class="filter-ajax" data-value="'.$cat->slug.'">'.$cat->name.'</a></li>';  
            }
            $html .=                '</ul>
                                </div>
                            </div>';
        }
        global $wpdb;
        if ( 0 === sizeof( WC()->query->layered_nav_product_ids ) ) {
            $min = floor( $wpdb->get_var( "
                SELECT min(meta_value + 0)
                FROM {$wpdb->posts} as posts
                LEFT JOIN {$wpdb->postmeta} as postmeta ON posts.ID = postmeta.post_id
                WHERE meta_key IN ('" . implode( "','", array_map( 'esc_sql', apply_filters( 'woocommerce_price_filter_meta_keys', array( '_price', '_min_variation_price' ) ) ) ) . "')
                AND meta_value != ''
            " ) );
            $max = ceil( $wpdb->get_var( "
                SELECT max(meta_value + 0)
                FROM {$wpdb->posts} as posts
                LEFT JOIN {$wpdb->postmeta} as postmeta ON posts.ID = postmeta.post_id
                WHERE meta_key IN ('" . implode( "','", array_map( 'esc_sql', apply_filters( 'woocommerce_price_filter_meta_keys', array( '_price' ) ) ) ) . "')
            " ) );
        } else {
            $min = floor( $wpdb->get_var( "
                SELECT min(meta_value + 0)
                FROM {$wpdb->posts} as posts
                LEFT JOIN {$wpdb->postmeta} as postmeta ON posts.ID = postmeta.post_id
                WHERE meta_key IN ('" . implode( "','", array_map( 'esc_sql', apply_filters( 'woocommerce_price_filter_meta_keys', array( '_price', '_min_variation_price' ) ) ) ) . "')
                AND meta_value != ''
                AND (
                    posts.ID IN (" . implode( ',', array_map( 'absint', WC()->query->layered_nav_product_ids ) ) . ")
                    OR (
                        posts.post_parent IN (" . implode( ',', array_map( 'absint', WC()->query->layered_nav_product_ids ) ) . ")
                        AND posts.post_parent != 0
                    )
                )
            " ) );
            $max = ceil( $wpdb->get_var( "
                SELECT max(meta_value + 0)
                FROM {$wpdb->posts} as posts
                LEFT JOIN {$wpdb->postmeta} as postmeta ON posts.ID = postmeta.post_id
                WHERE meta_key IN ('" . implode( "','", array_map( 'esc_sql', apply_filters( 'woocommerce_price_filter_meta_keys', array( '_price' ) ) ) ) . "')
                AND (
                    posts.ID IN (" . implode( ',', array_map( 'absint', WC()->query->layered_nav_product_ids ) ) . ")
                    OR (
                        posts.post_parent IN (" . implode( ',', array_map( 'absint', WC()->query->layered_nav_product_ids ) ) . ")
                        AND posts.post_parent != 0
                    )
                )
            " ) );
        }
        $html .=        '<div class="item-box-attr">
                            <div class="item-attr-title">
                                <label>'.__("Price","bigc").'</label>
                            </div>
                            <div class="item-attr-content">
                                <div id="slider-range-price" data-pmax="'.$max.'" data-pmin="'.$min.'"></div>
                                <div class="attr-price-filter">
                                    <p>
                                        <label>'.esc_html__("Filter By Price","bigc").': </label>
                                        <input type="text" id="amount-price" readonly />
                                        <input type="hidden" id="get-filter-price" />
                                    </p>
                                </div>
                            </div>
                        </div>';
        global $wpdb;
        $attribute_taxonomies = $wpdb->get_results( "SELECT * FROM " . $wpdb->prefix . "woocommerce_attribute_taxonomies" );
        if(!empty($attribute_taxonomies)){
            foreach($attribute_taxonomies as $attr){
                $html .=    '<div class="item-box-attr">
                                <div class="item-attr-title">
                                    <label>'.$attr->attribute_label.'</label>
                                </div>
                                <div class="item-attr-content">
                                    <ul class="attr-list attr-style attr-'.$attr->attribute_name.' list-inline" data-key="'.$attr->attribute_name.'">';
                $terms = get_terms("pa_".$attr->attribute_name);
                if(is_array($terms)){
                    foreach ($terms as $term) {                        
                        if($attr->attribute_name == 'color') $attr_label = '';
                        else $attr_label = $term->name;
                        $html .=        '<li><a href="#" class="filter-ajax" data-value="'.$term->slug.'"><span class="'.$term->slug.'"></span>'.$attr_label.'</a></li>';
                    }
                }                
                $html .=            '</ul>
                                </div>
                            </div>';
            }
        }        
        $html .=     '</div>';
        return $html;
    }
}
// get list taxonomy
if(!function_exists('sv_list_tag_product'))
{
    function sv_list_tag_product()
    {
        $list = array();
        $tags = get_terms('product_tag');
        if(is_array($tags)){
            foreach ($tags as $tag) {
                if(is_object($tag)) $list[$tag->name] = $tag->slug;
            }
        }
        return $list;
    }
}
if (!function_exists('sv_add_head_style')) {
    function sv_add_head_style($style) {
        $content ='<script type="text/javascript">
                    (function($) {
                        "use strict";
                        $("head").append('."'".'<style id="sv_add_footer_css">'.$style.'</style>'."'".');
                    })(jQuery);
                    </script>';
        return $content;
    }
}
/***************************************END Theme Function***************************************/
