<?php
/**
 * Created by Sublime Text 2.
 * User: thanhhiep992
 * Date: 24/12/15
 * Time: 10:20 AM
 */
if(!class_exists('SV_Woocommerce_Attribute'))
{
    class SV_Woocommerce_Attribute extends WP_Widget {


        protected $default=array();

        static function _init()
        {
            add_action( 'widgets_init', array(__CLASS__,'_add_widget') );
        }

        static function _add_widget()
        {
            register_widget( 'SV_Woocommerce_Attribute' );
        }

        function __construct() {
            // Instantiate the parent object
            parent::__construct( false, esc_html__('Woocommerce Attribute','bigc'),
                array( 'description' => esc_html__( 'Select attribute', 'bigc' ), ));

            $this->default=array(
                'title'=>esc_html__('Woocommerce Attribute','bigc'),
                'attribute'=>'',
            );
        }



        function widget( $args, $instance ) {
            // Widget output
           echo balancetags($args['before_widget']);
            if ( ! empty( $instance['title'] ) ) {
               echo balancetags($args['before_title']) . apply_filters( 'widget_title', $instance['title'] ). $args['after_title'];
            }

            $instance=wp_parse_args($instance,$this->default);
            extract($instance);
            $terms = get_terms("pa_".$attribute);
            echo    '<ul class="list-attribute">';
            if(is_array($terms)){
                foreach ($terms as $term) {
                    $term_link = get_term_link( $term->term_id, 'pa_'.$attribute );
                    $home_url = get_home_url('/').'/';
                    $current_url = $_SERVER["HTTP_HOST"] . $_SERVER["REQUEST_URI"];
                    $current_url = explode('?', $current_url);
                    $current_url = $current_url[0];
                    $term_link = str_replace($home_url, $current_url, $term_link);
                    if(is_object($term)){
                        echo '<li><a href="'.esc_url($term_link).'">'.$term->name.' <span>('.$term->count.')</span></a></li>';
                    }
                }
            }
            echo    '</ul>';
            echo balancetags($args['after_widget']);
        }

        function update( $new_instance, $old_instance ) {

            // Save widget options
            $instance=array();
            $instance=wp_parse_args($instance,$this->default);
            $new_instance=wp_parse_args($new_instance,$instance);

            return $new_instance;
        }

        function form( $instance ) {
            // Output admin widget options form

            $instance=wp_parse_args($instance,$this->default);
            extract($instance);

            ?>
            <p>
                <label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>"><?php esc_html_e( 'Title:' ,'bigc'); ?></label>
                <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" type="text" value="<?php echo esc_attr( $title ); ?>">
            </p>
            <p>
                <label for="<?php echo esc_attr($this->get_field_id( 'attribute' )); ?>"><?php esc_html_e( 'Attribute:' ,'bigc'); ?></label>
                <select id="<?php echo esc_attr($this->get_field_id( 'attribute' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'attribute' )); ?>">
                    <?php echo sv_get_list_attribute($attribute);?>
                </select>
            </p>
        <?php
        }
    }

    SV_Woocommerce_Attribute::_init();

}
