<?php
/**
 * Created by Sublime Text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:20 AM
 */
if(!class_exists('SV_Woocommerce_TopSellers'))
{
    class SV_Woocommerce_TopSellers extends WP_Widget {


        protected $default=array();

        static function _init()
        {
            add_action( 'widgets_init', array(__CLASS__,'_add_widget') );
        }

        static function _add_widget()
        {
            register_widget( 'SV_Woocommerce_TopSellers' );
        }

        function __construct() {
            // Instantiate the parent object
            parent::__construct( false, esc_html__('Woocommerce Top Sellers','bigc'),
                array( 'description' => esc_html__( 'Product Top Sellers', 'bigc' ), ));

            $this->default=array(
                'title'=>esc_html__('Top Sellers','bigc'),
                'posts_per_page'=>3,
            );
        }



        function widget( $args, $instance ) {
            // Widget output
           echo balancetags($args['before_widget']);
            if ( ! empty( $instance['title'] ) ) {
               echo balancetags($args['before_title']) . apply_filters( 'widget_title', $instance['title'] ). $args['after_title'];
            }

            $instance=wp_parse_args($instance,$this->default);
            extract($instance);
            $p_args = array(
                'post_type'         => 'product',
                'posts_per_page'    => $posts_per_page,
            );
            $p_args['meta_key'] = 'total_sales';
            $p_args['orderby'] = 'meta_value_num';
            $product_query = new WP_Query($p_args);
            echo    '<ul>';
            if($product_query->have_posts()) {
                while($product_query->have_posts()) {
                    $product_query->the_post();
                    global $product,$post;
                    echo    '<li class="clearfix">
                                <div class="product-thumb">
                                    <a href="'.get_the_permalink().'">
                                        '.get_the_post_thumbnail(get_the_ID(),array(70,70),array('class'=>'img-responsive')).'
                                    </a>
                                </div>  
                                <h3 class="title-product"><a href="'.get_the_permalink().'">'.get_the_title().'</a></h3>
                                <div class="info-price">
                                    '.$product->get_price_html().'
                                </div>
                            </li>';
                }
            }
            wp_reset_postdata();
            echo    '</ul>';
            echo balancetags($args['after_widget']);
        }

        function update( $new_instance, $old_instance ) {

            // Save widget options
            $instance=array();
            $instance=wp_parse_args($instance,$this->default);
            $new_instance=wp_parse_args($new_instance,$instance);

            return $new_instance;
        }

        function form( $instance ) {
            // Output admin widget options form

            $instance=wp_parse_args($instance,$this->default);

            extract($instance);

            ?>
            <p>
                <label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>"><?php esc_html_e( 'Title:' ,'bigc'); ?></label>
                <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" type="text" value="<?php echo esc_attr( $title ); ?>">
            </p>
            <p>
                <label for="<?php echo esc_attr($this->get_field_id( 'posts_per_page' )); ?>"><?php esc_html_e( 'Post Number:' ,'bigc'); ?></label>
                <input class="" id="<?php echo esc_attr($this->get_field_id( 'posts_per_page' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'posts_per_page' )); ?>" type="text" value="<?php echo esc_attr( $posts_per_page ); ?>">
            </p>
        <?php
        }
    }

    SV_Woocommerce_TopSellers::_init();

}
