<?php
/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package 7up-framework
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div class="wrap">
<header id="header" class="site-header header">
    <div class="container">
        <?php
        $page_id = sv_get_value_by_id('sv_header_page');
        if(!empty($page_id)) echo SV_Template::get_vc_pagecontent($page_id);
        else{ ?>
            <div class="row">
                <div class="col-md-2">
                    <div class="logo logo-header">
                        <a href="<?php echo esc_url(home_url('/'));?>" title="<?php esc_attr_e('logo','bigc'); ?>">
                            <?php $sv_logo=sv_get_option('logo');?>
                            <?php if($sv_logo!=''){
                                echo '<img src="' . esc_url($sv_logo) . '" alt="">';
                            }   else { echo '<h1><span class="lnr lnr-apartment"></span>'.get_bloginfo('name', 'display').'</h1>'; }
                            ?>
                        </a> 
                    </div>
                </div>
                <div class="col-md-10">
                    <div class="main-nav">
                        <?php  
                            if ( has_nav_menu( 'primary' ) ) {
                                wp_nav_menu( array(
                                    'theme_location' => 'primary',
                                    'container'=>false,
                                    'walker'=>new SV_Walker_Nav_Menu(),
                                    'menu_class'=>'main-menu',
                                ));
                            }
                        ?>
                        <div class="mobile-menu">
                            <a href="#" class="show-menu"><span class="lnr lnr-indent-decrease"></span></a>
                            <a href="#" class="hide-menu"><span class="lnr lnr-indent-increase"></span></a>
                        </div>
                    </div>
                </div>
            </div>        
        <?php } ?>
    </div>
</header>
<!--header Close-->
<?php //sv_display_breadcrumb();?>

