<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package 7up-framework
 */
$sidebar=sv_get_sidebar();
$sidebar_pos=$sidebar['position'];
$main_class = 'col-md-12 none-sidebar';
if($sidebar_pos != 'no') $main_class = 'col-md-9 col-sm-8 col-xs-12 has-sidebar';
get_header();?>
<?php sv_custom_header_append();?>
<div id="main-content" class="main-wrapper st-default content-page">
    <div id="tp-blog-page" class="tp-blog-page"><!-- blog-page -->
        <div class="container">
            <?php sv_display_breadcrumb()?>
            <div class="row">
                <?php if($sidebar_pos=='left'){ get_sidebar(); }?>
                <div class="blog-list <?php echo esc_attr($main_class); ?>">
                	
                    <?php if(have_posts()):?>    
					    <?php while (have_posts()) :the_post();?>
							<?php get_template_part('sv_templates/blog-content/content')?>
					    <?php endwhile;?>
					    <?php wp_reset_postdata();?>

					    <?php sv_paging_nav();?>

					<?php else : ?>
					    <?php get_template_part( 'sv_templates/blog-content/content', 'none' ); ?>
					<?php endif;?>

                </div>
                <?php if($sidebar_pos=='right'){ get_sidebar(); }?>
            </div>
        </div>
    </div>
</div>
<?php get_footer(); ?>
