<?php
/**
 * The template for displaying product content within loops.
 *
 * Override this template by copying it to yourtheme/woocommerce/content-product.php
 *
 * @author  WooThemes
 * @package WooCommerce/Templates
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
global $product;
// Store loop count we're currently on
if ( empty( $woocommerce_loop['loop'] ) ) {
	$woocommerce_loop['loop'] = 0;
}

// Store column count for displaying the grid
if ( empty( $woocommerce_loop['columns'] ) ) {
	$woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', 4 );
}

// Ensure visibility
if ( ! $product || ! $product->is_visible() ) {
	return;
}

// Increase loop count
$woocommerce_loop['loop']++;
?>
<?php
	$type = 'grid';
    if(isset($_GET['type'])){
        $type = $_GET['type'];
    }
?>
<?php if($type == 'list'){?>
	<li class="col-md-12 col-sm-12 col-xs-12">	
		<div class="item-product clearfix">
			<div class="item-product-thumb">
				<a href="<?php the_permalink()?>" class="product-thumb-link">
					<?php the_post_thumbnail(array(267,267),array('class'=>'img-responsive'))?>
				</a>
				<?php sv_product_box_hover(true)?>
			</div>
			<div class="item-product-info">
				<h3 class="title-product"><a href="<?php the_permalink()?>"><?php the_title()?></a></h3>
				<!-- <div class="sv-star-rating"> -->
					<?php echo balanceTags(sv_get_rating_html());?>
				<!-- </div> -->
				<p class="desc"><?php echo get_the_excerpt()?></p>
				<?php
					global $check_sidebar;
					// if(empty($check_sidebar)) $check_sidebar = true;
					if(!$check_sidebar){
						echo '<a href="'.get_the_permalink().'" class="product-readmore">'.esc_html__("More Detail","bigc").'</a>';
						echo '</div>';						
					}
				?>
				<div class="wrap-cart-qty">
					<div class="info-price">
						<?php echo balanceTags($product->get_price_html())?>
					</div>
					<?php sv_link_product(true,true)?>
					<?php woocommerce_template_single_add_to_cart()?>
				</div>
			<?php if($check_sidebar) echo '</div>'?>
		</div>
	</li>
<?php }
	else{
		$b_col = 12;$col = 4;$size = array(270,270);
		$col_option = $woocommerce_loop['columns'];
		if(!empty($col_option)) $col = $b_col/(int)$col_option;
		if($col_option == 2) $size = array(420,420);
	?>
	<li class="col-md-<?php echo esc_attr($col)?> col-sm-6 col-xs-12">
		<div class="item-product">
			<div class="item-product-thumb">
				<a href="<?php the_permalink()?>" class="product-thumb-link">
					<?php the_post_thumbnail($size,array('class'=>'img-responsive'))?>
				</a>
				<?php sv_product_box_hover(true)?>
			</div>
			<div class="item-product-info">
				<h3 class="title-product"><a href="<?php the_permalink()?>"><?php the_title()?></a></h3>
				<div class="info-price">
					<?php echo balanceTags($product->get_price_html())?>
				</div>
			</div>
		</div>
	</li>
<?php }?>