<?php
/**
 * The template for displaying product content in the single-product.php template
 *
 * Override this template by copying it to yourtheme/woocommerce/content-single-product.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

?>

<?php
	/**
	 * woocommerce_before_single_product hook
	 *
	 * @hooked wc_print_notices - 10
	 */
	 do_action( 'woocommerce_before_single_product' );

	 if ( post_password_required() ) {
	 	echo get_the_password_form();
	 	return;
	 }
?>

<div itemscope itemtype="<?php echo woocommerce_get_product_schema(); ?>" id="product-<?php the_ID(); ?>" <?php post_class(); ?>>

	<div class="content-product-detail none-sidebar">
		<?php sv_product_main_detai()?>
	</div>

	<meta itemprop="url" content="<?php the_permalink(); ?>" />
	<?php 
		$tabs = apply_filters( 'woocommerce_product_tabs', array() );
		// do_action( 'woocommerce_after_single_product_summary' );
	?>
	<!-- TAB PRODUCT -->
	<div class="detail-product-tab">
		<div class="nav-tabs-default">
			<ul class="nav nav-tabs" role="tablist">
				<?php 
					$num=0;
					foreach ( $tabs as $key => $tab ) : 
					$num++;
				?>
					<li class="<?php if($num==1){echo 'active';}?>" role="presentation">
						<a href="#sv-<?php echo esc_attr( $key ); ?>" aria-controls="<?php echo esc_attr( $key ); ?>" role="tab" data-toggle="tab"><?php echo apply_filters( 'woocommerce_product_' . $key . '_tab_title', esc_html( $tab['title'] ), $key ); ?></a>
					</li>
						
				<?php endforeach; ?>
				<li role="presentation"><a href="#information" aria-controls="profile" role="tab" data-toggle="tab"><?php esc_html_e("Additional Information","bigc")?></a></li>				
				<li role="presentation"><a href="#tags" aria-controls="settings" role="tab" data-toggle="tab"><?php esc_html_e("Tags","bigc")?></a></li>
			</ul>
		</div>
		<!-- Tab panes -->
		<div class="tab-content">
			<?php 
				$num=0;
				foreach ( $tabs as $key => $tab ) : 
				$num++;
			?>
				<div role="tabpanel" class="tab-pane <?php if($num==1){echo 'active';}?>" id="sv-<?php echo esc_attr( $key ); ?>">
					<?php call_user_func( $tab['callback'], $key, $tab ); ?>
				</div>
			<?php endforeach; ?>
			<div role="tabpanel" class="tab-pane" id="information">
				<?php
		            $info_content = get_post_meta(get_the_ID(),'product_information',true);
		            echo balanceTags($info_content);
		        ?>
			</div>
			<div role="tabpanel" class="tab-pane" id="tags">
				<?php 
				esc_html_e("Tags: ","bigc");
				$cats = get_the_tag_list(' ',', ',' ');
                if($cats) echo balanceTags($cats);
                else _e("No Tag",'bigc');
				?>
			</div>
		</div>
	</div>
	<!-- END TAB PRODUCT -->

	<!-- RELATE PRODUCT -->
	<?php 
		global $product;
		$related = $product->get_related(6);
		$upsells = $product->get_upsells();
	?>
	<div class="relate-product">
		<!-- Nav tabs -->
		<div class="nav-tabs-default">
			<ul class="nav nav-tabs" role="tablist">
				<li role="presentation" class="active"><a href="#related-product" aria-controls="related-product" role="tab" data-toggle="tab"><?php esc_html_e("Related Products","bigc")?></a></li>
				<li role="presentation"><a href="#upsell-product" aria-controls="upsell-product" role="tab" data-toggle="tab"><?php esc_html_e("UP-SELL PRODUCTS","bigc")?></a></li>
			</ul>
		</div>
		<!-- Tab panes -->
		<div class="tab-content">
			<div role="tabpanel" class="tab-pane active" id="related-product">
				<div class="product-slider owl-default">
					<div class="row">
						<div class="wrap-item">
							<?php
								$args = apply_filters( 'woocommerce_related_products_args', array(
									'post_type'            => 'product',
									'ignore_sticky_posts'  => 1,
									'no_found_rows'        => 1,
									'posts_per_page'       => 6,									
									'orderby'              => 'ID',
									'post__in'             => $related,
									'post__not_in'         => array( $product->id )
								) );
								$products = new WP_Query( $args );
								if ( $products->have_posts() ) :
									while ( $products->have_posts() ) : 
										$products->the_post();
							?>
							<div class="item">
								<div class="item-product">
									<div class="item-product-thumb">
										<a href="<?php the_permalink()?>" class="product-thumb-link">
											<?php the_post_thumbnail(array(267,267),array('class'=>'img-responsive'))?>
										</a>
										<?php sv_product_box_hover(true)?>
									</div>
									<div class="item-product-info">
										<h3 class="title-product"><a href="<?php the_permalink()?>"><?php the_title()?></a></h3>
										<div class="info-price">
											<?php echo balanceTags($product->get_price_html())?>
										</div>
									</div>
								</div>
							</div>
							<?php 	endwhile;
								endif;
								wp_reset_postdata();
							?>
						</div>
					</div>
				</div>
			</div>
			<div role="tabpanel" class="tab-pane" id="upsell-product">
				<div class="product-slider owl-default">
					<div class="row">
						<div class="wrap-item">
							<?php
								$meta_query = WC()->query->get_meta_query();
								$args = array(
									'post_type'           => 'product',
									'ignore_sticky_posts' => 1,
									'no_found_rows'       => 1,
									'posts_per_page'      => 6,
									'post__in'            => $upsells,
									'post__not_in'        => array( $product->id ),
									'meta_query'          => $meta_query
								);
								$products = new WP_Query( $args );
								if ( $products->have_posts() ) :
									while ( $products->have_posts() ) : 
										$products->the_post();
							?>
							<div class="item">
								<div class="item-product">
									<div class="item-product-thumb">
										<a href="<?php the_permalink()?>" class="product-thumb-link">
											<?php the_post_thumbnail(array(267,267),array('class'=>'img-responsive'))?>
										</a>
										<?php sv_product_box_hover(true)?>
									</div>
									<div class="item-product-info">
										<h3 class="title-product"><a href="<?php the_permalink()?>"><?php the_title()?></a></h3>
										<div class="info-price">
											<?php echo balanceTags($product->get_price_html())?>
										</div>
									</div>
								</div>
							</div>
							<?php 	endwhile;
								endif;
								wp_reset_postdata();
							?>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- END RELATE PRODUCT -->
</div>
<?php do_action( 'woocommerce_after_single_product' ); ?>
